<?php

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die();
}

// If class `SFFM_Elements` doesn't exists yet.
if (!class_exists('SFFM_Elements')) {

    /**
     * Sets up and initializes the plugin.
     */
    class SFFM_Elements {

        /**
         * A reference to an instance of this class.
         *
         * @since  1.0.0
         * @access private
         * @var    object
         */
        private static $instance = null;

        /**
         * Returns the instance.
         *
         * @since  1.0.0
         * @access public
         * @return object
         */
        public static function get_instance() {
            // If the single instance hasn't been set, set it now.
            if (null == self::$instance) {
                self::$instance = new self;
            }
            return self::$instance;
        }

        /**
         * Sets up needed actions/filters for the plugin to initialize.
         *
         * @since 1.0.0
         * @access public
         * @return void
         */
        public function __construct() {

            // Check if Elementor installed and activated
            if (!did_action('elementor/loaded')) {
                return;
            }

            require(SFFM_PATH . 'admin/inc/elements/includes/widget-loader.php');
            require(SFFM_PATH . 'admin/inc/elements/includes/icon-manager.php');
            require(SFFM_PATH . 'admin/inc/elements/includes/helper-functions.php');
            require(SFFM_PATH . 'admin/inc/elements/includes/menu-walker.php');
        }

    }

}

if (!function_exists('sffm_elements')) {

    /**
     * Returns instanse of the plugin class.
     *
     * @since  1.0.0
     * @return object
     */
    function sffm_elements() {
        return SFFM_Elements::get_instance();
    }

}

sffm_elements();
