<?php

namespace SFFM;

// Exit if accessed directly
if (!defined('ABSPATH'))
    exit;

/* --------------------------
 *   Class Icon Manager
 * ------------------------- */

class Icon_Manager {

    private static $instance = null;

    public static function instance() {
        if (is_null(self::$instance)) {
            self::$instance = new self();
        }
        return self::$instance;
    }

    function __construct() {
        $this->init();
    }

    public function init() {
        // Custom icon filter
        add_filter('elementor/icons_manager/additional_tabs', [$this, 'icons']);
    }

    public function icons($icons_args = array()) {
        $icons_args = array(
            'sffm-icofont-icon' => array(
                'name' => 'sffm-icofont-icon',
                'label' => esc_html__('SFFM - Icofont Icons', 'super-floating-flying-menu'),
                'labelIcon' => 'icofont-tack-pin',
                'prefix' => '',
                'displayPrefix' => '',
                'url' => SFFM_URL . 'admin/css/icons/icofont.css',
                'icons' => sffm_icofont_icon_array(),
                'ver' => SFFM_VERSION,
            ),
            'sffm-essential-icon' => array(
                'name' => 'sffm-essential-icon',
                'label' => esc_html__('SFFM - Essential Icons', 'super-floating-flying-menu'),
                'labelIcon' => 'icofont-tack-pin',
                'prefix' => '',
                'displayPrefix' => '',
                'url' => SFFM_URL . 'admin/css/icons/essentialicon.css',
                'icons' => sffm_essential_icon_array(),
                'ver' => SFFM_VERSION,
            ),
            'sffm-elegant-icon' => array(
                'name' => 'sffm-elegant-icon',
                'label' => esc_html__('SFFM - Elegant Icons', 'super-floating-flying-menu'),
                'labelIcon' => 'icofont-tack-pin',
                'prefix' => '',
                'displayPrefix' => '',
                'url' => SFFM_URL . 'admin/css/icons/eleganticons.css',
                'icons' => sffm_eleganticons_array(),
                'ver' => SFFM_VERSION,
            )
        );

        return $icons_args;
    }

}

Icon_Manager::instance();
