<?php

namespace SFFM;

if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

final class SFFM_Modules_Manager {

    private function require_files() {
        require(SFFM_PATH . 'admin/inc/elements/base/module_base.php');
    }

    public function register_modules() {
        $modules = [
            'close-menu-button',
            'hover-menu',
            'multi-level-menu',
            'multi-level-breadcrumb-menu'
        ];

        foreach ($modules as $module) {
            $class_name = str_replace('-', ' ', $module);
            $class_name = str_replace(' ', '', ucwords($class_name));
            $class_name = __NAMESPACE__ . '\\Modules\\' . $class_name . '\Module';

            $class_name::instance();
        }
    }

    public function __construct() {
        $this->require_files();
        $this->register_modules();
    }

}

if (!function_exists('sffm_module_manager')) {

    /**
     * Returns an instance of the plugin class.
     * @since  1.0.0
     * @return object
     */
    function sffm_module_manager() {
        return new SFFM_Modules_Manager();
    }

}
sffm_module_manager();
