<?php

if (!function_exists('sffm_recurse_parse_args')) {

    function sffm_recurse_parse_args($args, $default = array()) {
        $args = (array) $args;
        $result = $default;

        foreach ($args as $key => $value) {
            if (is_array($value) && isset($result[$key])) {
                $result[$key] = sffm_recurse_parse_args($value, $result[$key]);
            } else {
                $result[$key] = $value;
            }
        }

        return $result;
    }

}

if (!function_exists('sffm_sanitize_color')) {

    function sffm_sanitize_color($color) {
        // Is this an rgba color or a hex?
        $mode = (false === strpos($color, 'rgba')) ? 'hex' : 'rgba';
        if ('rgba' === $mode) {
            $color = str_replace(' ', '', $color);
            sscanf($color, 'rgba(%d,%d,%d,%f)', $red, $green, $blue, $alpha);
            return 'rgba(' . $red . ',' . $green . ',' . $blue . ',' . $alpha . ')';
        } else {
            return sanitize_hex_color($color);
        }
    }

}

if (!function_exists('sffm_count_nav_parent_items')) {

    function sffm_count_nav_parent_items($nav_id = null) {

        // if we don't have a nav_location, exit
        if ($nav_id === null || $nav_id === '')
            return false;

        // now get the nav items of the id of nav_location
        $items = wp_get_nav_menu_items($nav_id);

        // if we don't have anything, exit
        if (count($items) <= 0)
            return false;

        // go through each item
        $parents = array();
        foreach ($items as $item) {

            // if the item's parent is 0, it's a top level, add it to an array
            if ($item->menu_item_parent == 0)
                $parents[] = $item;
        }

        // return our count
        return count($parents);
    }

}