<?php
$sffm_options = get_option('sffm_options');
?>
<div class="sffm-welcome-screen">
    <div class="sffm-welcome-header">
        <h3>
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 37.6 37.6" style="fill:#000">
                <g>
                    <g>
                        <path d="M11.5 1.5a19.69 19.69 0 0 0-6 4 16.23 16.23 0 0 0-4 6 18.51 18.51 0 0 0 0 14.6A19 19 0 0 0 3.8 30v-.1l.1-.3.1-.4V29a12.27 12.27 0 0 1-1.7-3.2 18.2 18.2 0 0 1 0-14 16.1 16.1 0 0 1 3.9-5.7 19.94 19.94 0 0 1 5.7-3.9 18.2 18.2 0 0 1 14 0 3 3 0 0 1 .8.4l.9-.2.3-.1a9.82 9.82 0 0 0-1.8-.8A18.35 18.35 0 0 0 18.8 0a18 18 0 0 0-7.3 1.5Z" />
                        <path d="M30.2 30a5.17 5.17 0 0 0 .8-1.9l1.2-6.9a4 4 0 0 0-.1-1.9 5.07 5.07 0 0 0-.9-1.6 6.45 6.45 0 0 0-1.6-1.1 5.38 5.38 0 0 0-2.2-.4H15.7l.5-3.2 9-1.7-.5 2.9h8.7l1-6a4.07 4.07 0 0 0-.2-2.2 3.71 3.71 0 0 0-1.3-1.7 5.12 5.12 0 0 0-2.1-1 5.7 5.7 0 0 0-2.6 0L13.3 6.1a7.34 7.34 0 0 0-3.5 1.8A5.24 5.24 0 0 0 8 11l-1.2 7a4 4 0 0 0 .1 1.9 5.07 5.07 0 0 0 .9 1.6 6.45 6.45 0 0 0 1.6 1.1 5.09 5.09 0 0 0 2.2.4h11.5l-.4 2.5H5.5L5.1 28l-.9 5h20.1a5.87 5.87 0 0 0 2.3-.4 6.44 6.44 0 0 0 2-1.1 4.63 4.63 0 0 0 1.6-1.5Z" />
                        <path d="M36.1 11.5a18.51 18.51 0 0 1 0 14.6 19.69 19.69 0 0 1-4 6 17.55 17.55 0 0 1-6 4 18.51 18.51 0 0 1-14.6 0A22.18 22.18 0 0 1 7.8 34h1.4a17.07 17.07 0 0 0 2.7 1.4 18.2 18.2 0 0 0 14 0 16.1 16.1 0 0 0 5.7-3.9 19.94 19.94 0 0 0 3.9-5.7 18.2 18.2 0 0 0 0-14c-.1-.3-.3-.7-.4-1l.2-1.3a16.67 16.67 0 0 0 .8 2Z" />
                    </g>
                </g>
            </svg>
            <?php esc_html_e('Welcome to Super Floating & Flying Menu', 'super-floating-flying-menu'); ?>
        </h3>
        <a target="_blank" class="button button-primary button-large sffm-documentation-button" href="https://hashthemes.com/documentation/super-floating-and-fly-menu-documentation/"><span class="dashicons dashicons-admin-page"></span> <?php esc_html_e('Documentation', 'super-floating-flying-menu'); ?></a>
    </div>

    <div class="wrap"><h1></h1></div>

    <div class="sffm-main-content">
        <div class="sffm-content-grid">
            <div class="sffm-grid-col1">
                <div class="sffm-grid-block sffm-getting-started">
                    <h4><span><i class="mdi-apps"></i><?php esc_html_e('Getting Started', 'super-floating-flying-menu'); ?></span></h4>
                    <p><?php esc_html_e('Welcome and thank you for installing Super Floating & Flying Menu.', 'super-floating-flying-menu'); ?></p>

                    <p><?php esc_html_e('To get started, go to Appearance > Menu and create a new menu and "Enable Super Menu" option.', 'super-floating-flying-menu'); ?></p>
                    <p><img src="<?php echo SFFM_URL . 'admin/css/enable-super-ff-menu.jpg' ?>" alt="<?php esc_html_e('Enable Super Floating & Flying Menu', 'super-floating-flying-menu'); ?>" /></p>
                    <p><?php esc_html_e('Choose the type of menu that you want (Floating or Flying) Menu and click on Settings Button.', 'super-floating-flying-menu'); ?></p>
                    <h3><?php esc_html_e('Configure Individual Menu Items', 'super-floating-flying-menu'); ?></h3>
                    <p><img src="<?php echo SFFM_URL . 'admin/css/super-menu-settings.jpg' ?>" alt="<?php esc_html_e('Super Menu Setting', 'super-floating-flying-menu'); ?>" /></p>
                    <p><?php esc_html_e('To configure individual menu items, open and hover on the menu item as shown in above screenshot. A button "Super Menu Setting" will appear. Click on it and choose the icons from the list of 10,000 icon or upload your own image icon. Also choose different color for each menu item.', 'super-floating-flying-menu'); ?></p>
                    <!--<a class="button button-primary" href="https://hashthemes.com/documentation/super-floating-and-fly-documentation/" target="_blank"><?php esc_html_e('View Full Documentation', 'super-floating-flying-menu'); ?></a>-->
                </div>

                <div class="sffm-grid-block sffm-flying-menu-demos">
                    <h4><span><i class="mdi-dots-vertical-circle-outline"></i><?php esc_html_e('Flying Menu', 'super-floating-flying-menu'); ?></span></h4>
                    <p><?php esc_html_e('Flying Menu displays your content with menu on the side panel or as a popup. There are 4 differently designed Flying Menu layouts to choose from. The Flying Menu also support Elementor Page Builder. You can create the content of with Elementor.', 'super-floating-flying-menu'); ?></p>
                    <ul class="sffm-grid-col-1">
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/side-panel-menu-slide-up-down-submenu/" target="_blank"><?php esc_html_e('Side Panel Menu', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/skew-side-panel-menu/" target="_blank"><?php esc_html_e('Skew Side Panel Menu', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/full-screen-menu-wave-animation-1/" target="_blank"><?php esc_html_e('Full Screen Menu', 'super-floating-flying-menu'); ?></a></li>
                    </ul>
                </div>
            </div>

            <div class="sffm-grid-col2">
                <div class="sffm-grid-block sffm-floating-menu-demos">
                    <h4><span><i class="mdi-dots-horizontal-circle-outline"></i><?php esc_html_e('Floating Menu', 'super-floating-flying-menu'); ?></span></h4>
                    <p><?php esc_html_e('Floating menu floats on the the screen at fixed position. Set the position of the floating buttons and choose the template. There are 10 differently designed Floating Menu layouts to choose from. View the templates below.', 'super-floating-flying-menu'); ?></p>
                    <ul class="sffm-grid-col-2">
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-1/" target="_blank"><?php esc_html_e('Template 1', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-2/" target="_blank"><?php esc_html_e('Template 2', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-3/" target="_blank"><?php esc_html_e('Template 3', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-4/" target="_blank"><?php esc_html_e('Template 4', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-5/" target="_blank"><?php esc_html_e('Template 5', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-6/" target="_blank"><?php esc_html_e('Template 6', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-7/" target="_blank"><?php esc_html_e('Template 7', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-8/" target="_blank"><?php esc_html_e('Template 8', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-9/" target="_blank"><?php esc_html_e('Template 9', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-10/" target="_blank"><?php esc_html_e('Template 10', 'super-floating-flying-menu'); ?></a></li>
                    </ul>
                    <br><br>
                    <h4><span><i class="mdi-dots-horizontal-circle-outline"></i><?php esc_html_e('Circular Menu', 'super-floating-flying-menu'); ?></span></h4>
                    <p><?php esc_html_e('Display menu in a unique ways using Cicrular Menu. There are 3 differently designed Circular Menu layouts to choose from. View the templates below.', 'super-floating-flying-menu'); ?></p>
                    <ul class="sffm-grid-col-1">
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-quater-circular/" target="_blank"><?php esc_html_e('Quater Circular', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-half-circular/" target="_blank"><?php esc_html_e('Half Circular', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-full-circular/" target="_blank"><?php esc_html_e('Full Circular', 'super-floating-flying-menu'); ?></a></li>
                    </ul>
                </div>

                <div class="sffm-grid-block sffm-nav-icon-demos">
                    <h4><span><i class="mdi-dots-horizontal-circle-outline"></i><?php esc_html_e('Nav Icon(One Page) Menu', 'super-floating-flying-menu'); ?></span></h4>
                    <p><?php esc_html_e('Nav Icon refers to one page menu which when clicked scrolls to the specific section of the page. There are 13 differently designed One Page Menu layouts to choose from. View the templates below.', 'super-floating-flying-menu'); ?></p>
                    <ul class="sffm-grid-col-2">
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-1/" target="_blank"><?php esc_html_e('Template 1', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-2/" target="_blank"><?php esc_html_e('Template 2', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-3/" target="_blank"><?php esc_html_e('Template 3', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-4/" target="_blank"><?php esc_html_e('Template 4', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-5/" target="_blank"><?php esc_html_e('Template 5', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-6/" target="_blank"><?php esc_html_e('Template 6', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-7/" target="_blank"><?php esc_html_e('Template 7', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-8/" target="_blank"><?php esc_html_e('Template 8', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-9/" target="_blank"><?php esc_html_e('Template 9', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-10/" target="_blank"><?php esc_html_e('Template 10', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-11/" target="_blank"><?php esc_html_e('Template 11', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-12/" target="_blank"><?php esc_html_e('Template 12', 'super-floating-flying-menu'); ?></a></li>
                        <li><a href="https://demo.hashthemes.com/super-floating-and-flying-menu/nav-indicator-animation-13/" target="_blank"><?php esc_html_e('Template 13', 'super-floating-flying-menu'); ?></a></li>
                    </ul>
                </div>
            </div>

            <div class="sffm-grid-col3">
                <div class="sffm-grid-block sffm-migration-free-pro">
                    <h4><span><i class="mdi-transfer"></i><?php esc_html_e('Migration from Free to Pro', 'super-floating-flying-menu'); ?></span></h4>
                    <p><?php esc_html_e('If you are upgrading from Simple Floating Menu to Super Floating & Flying Menu, then you can transfer the settings from the free version to the premium version quickly.', 'super-floating-flying-menu'); ?></p>
                    <p><?php esc_html_e('Go to Simple Floating Menu and click on the "Import/Export" Tab. Click on the "Download Settings" button.', 'super-floating-flying-menu'); ?></p>
                    <p><?php esc_html_e('Now, you can import it to Super Floating & Flying Menu by going to Appearance > Menu.', 'super-floating-flying-menu'); ?></p>
                    <p><?php esc_html_e('Create a new menu & save it.', 'super-floating-flying-menu'); ?></p>
                    <p><?php esc_html_e('Switch on the "Enable Super Menu" and Check the "Floating Menu" option.', 'super-floating-flying-menu'); ?></p>
                    <p><?php esc_html_e('Click on the "Settings" button and then on the "Import from Free" tab.', 'super-floating-flying-menu'); ?></p>
                    <p><?php esc_html_e('Upload the previously downloaded .json file from the free version and click on "Import" button.', 'super-floating-flying-menu'); ?></p>
                    <p><?php esc_html_e('All the setting from the free version is now imported !', 'super-floating-flying-menu'); ?></p>
                </div>

                <div class="sffm-grid-block sffm-auto-update">
                    <h4><span><i class="mdi-update"></i><?php esc_html_e('Automatic Update of Plugin', 'super-floating-flying-menu'); ?></span></h4>
                    <p><?php esc_html_e('It is required to keep your plugin updated all the time to prevent from any issues in the future. You can update the Super Floating & Flying Menu plugin with just one click without needing to download from Codecaynon and installing it again. Please check the below blog post for it.', 'super-floating-flying-menu'); ?></p>
                    <a class="button button-primary" href="https://hashthemes.com/auto-update-envato-wordpress-themes-and-plugins/" target="_blank"><?php esc_html_e('Go to Article', 'super-floating-flying-menu'); ?></a>
                </div>

                <div class="sffm-grid-block sffm-support">
                    <h4><span><i class="mdi-chat-processing-outline"></i><?php esc_html_e('Support', 'super-floating-flying-menu'); ?></span></h4>
                    <p><?php esc_html_e('If you have any support questions related to the "Super Floating & Flying Menu" plugin then please create a support comment by clicking on the button below.', 'super-floating-flying-menu'); ?></p>
                    <p><?php printf(esc_html__('Or visit our website %1$sHashThemes%2$s for chat support.', 'super-floating-flying-menu'), '<a href="https://hashthemes.com/" target="_blank">', '</a>'); ?></p>
                    <p><?php esc_html_e('One of our team members will respond within 24 hours.', 'super-floating-flying-menu'); ?></p>
                    <a class="button button-primary" href="https://codecanyon.net/item/super-floating-and-fly-menu-sticky-side-one-page-navigator-offcanvas-menu-plugin-for-wordpress/30485289/comments" target="_blank"><?php esc_html_e('Open Support Comments', 'super-floating-flying-menu'); ?></a>
                </div>
            </div>
        </div>
        <div class="sffm-grid-block sffm-google-font-loading">
            <h4><span><i class="mdi-format-font"></i><?php esc_html_e('Load Google Fonts Locally', 'super-floating-flying-menu'); ?></span></h4>

            <form id="sffm-main-content-form">
                <p><?php esc_html_e('It is required to load the Google Fonts locally in order to comply with GDPR. However, if your website is not required to comply with Google Fonts then you can check this field off. Loading the Fonts locally with lots of different Google fonts can decrease the speed of the website slightly.', 'super-floating-flying-menu'); ?></p>
                <p class="sffm-controls">
                    <span class="sffm-onoff-switch">
                        <input id="sffm_load_font_locally" class="sffm-checkbox" type="checkbox" name="sffm_load_font_locally" <?php echo isset($sffm_options['sffm_load_font_locally']) && $sffm_options['sffm_load_font_locally'] == 'on' ? 'checked="checked"' : '' ?>>
                        <label class="sffm-onoff-switch-label" for="sffm_load_font_locally"></label>
                    </span>
                    <label for="sffm_load_font_locally"><?php esc_html_e('Load Google Font Locally', 'super-floating-flying-menu'); ?></label>
                </p>
                <button class="button button-primary"><?php esc_html_e('Save', 'super-floating-flying-menu'); ?></button>
                <div class="sffm-gfl-saved"><?php esc_html_e('Setting Saved...', 'super-floating-flying-menu'); ?></div>
            </form>
        </div>
    </div>
</div>