<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

?>
<div class="sffm-welcome-screen">
    <div class="sffm-welcome-header">
        <h3>
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 37.6 37.6" style="fill:#000">
                <g>
                    <g>
                        <path d="M11.5 1.5a19.69 19.69 0 0 0-6 4 16.23 16.23 0 0 0-4 6 18.51 18.51 0 0 0 0 14.6A19 19 0 0 0 3.8 30v-.1l.1-.3.1-.4V29a12.27 12.27 0 0 1-1.7-3.2 18.2 18.2 0 0 1 0-14 16.1 16.1 0 0 1 3.9-5.7 19.94 19.94 0 0 1 5.7-3.9 18.2 18.2 0 0 1 14 0 3 3 0 0 1 .8.4l.9-.2.3-.1a9.82 9.82 0 0 0-1.8-.8A18.35 18.35 0 0 0 18.8 0a18 18 0 0 0-7.3 1.5Z" />
                        <path d="M30.2 30a5.17 5.17 0 0 0 .8-1.9l1.2-6.9a4 4 0 0 0-.1-1.9 5.07 5.07 0 0 0-.9-1.6 6.45 6.45 0 0 0-1.6-1.1 5.38 5.38 0 0 0-2.2-.4H15.7l.5-3.2 9-1.7-.5 2.9h8.7l1-6a4.07 4.07 0 0 0-.2-2.2 3.71 3.71 0 0 0-1.3-1.7 5.12 5.12 0 0 0-2.1-1 5.7 5.7 0 0 0-2.6 0L13.3 6.1a7.34 7.34 0 0 0-3.5 1.8A5.24 5.24 0 0 0 8 11l-1.2 7a4 4 0 0 0 .1 1.9 5.07 5.07 0 0 0 .9 1.6 6.45 6.45 0 0 0 1.6 1.1 5.09 5.09 0 0 0 2.2.4h11.5l-.4 2.5H5.5L5.1 28l-.9 5h20.1a5.87 5.87 0 0 0 2.3-.4 6.44 6.44 0 0 0 2-1.1 4.63 4.63 0 0 0 1.6-1.5Z" />
                        <path d="M36.1 11.5a18.51 18.51 0 0 1 0 14.6 19.69 19.69 0 0 1-4 6 17.55 17.55 0 0 1-6 4 18.51 18.51 0 0 1-14.6 0A22.18 22.18 0 0 1 7.8 34h1.4a17.07 17.07 0 0 0 2.7 1.4 18.2 18.2 0 0 0 14 0 16.1 16.1 0 0 0 5.7-3.9 19.94 19.94 0 0 0 3.9-5.7 18.2 18.2 0 0 0 0-14c-.1-.3-.3-.7-.4-1l.2-1.3a16.67 16.67 0 0 0 .8 2Z" />
                    </g>
                </g>
            </svg>
            <?php esc_html_e('License', 'super-floating-flying-menu'); ?>
        </h3>
    </div>

    <div class="wrap">
        <h1></h1>
    </div>

    <div class="sffm-main-content">
        <?php
        if (isset($_POST['updated']) && $_POST['updated'] === 'true') {
            $this->handle_form();
        }

        $sffm_license_settings = get_option('sffm_license_settings');
        if (!$sffm_license_settings) {
            $sffm_license_settings = self::default_license_values();
        } else {
            $sffm_license_settings = self::recursive_parse_args($sffm_license_settings, self::default_license_values());
        }

        $cusername = $sffm_license_settings['username'];
        $purchase_code = $sffm_license_settings['purchase_code'];
        $personal_token = $sffm_license_settings['personal_token'];
        $license_consent = $sffm_license_settings['consent'];
        $is_valid = $sffm_license_settings['is_valid'];
        ?>
        <div class="sffm-license-container">

            <form method="POST">
                <input type="hidden" name="updated" value="true" />
                <?php wp_nonce_field('sffm_nonce_update_license_settings', 'sffm_nonce'); ?>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Envato Username', 'super-floating-flying-menu'); ?></label>
                    <div class="sffm-settings-fields">
                        <input type="text" name="sffm_license_settings[username]" value="<?php echo esc_html($cusername); ?>">
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Purchase Code', 'super-floating-flying-menu'); ?></label>
                    <div class="sffm-settings-fields">
                        <input type="text" name="sffm_license_settings[purchase_code]" value="<?php echo esc_html($purchase_code); ?>">
                        <p class="sffm-desc"><?php echo sprintf(esc_html__('To find out how to access your purchase code you can clicking %s.', 'super-floating-flying-menu'), '<a href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code" target="_blank">here</a>') ?></p>
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Envato Personal Token', 'super-floating-flying-menu'); ?></label>
                    <div class="sffm-settings-fields">
                        <input type="text" name="sffm_license_settings[personal_token]" value="<?php echo esc_html($personal_token); ?>">
                        <p class="sffm-desc"><?php echo sprintf(esc_html__('You can generate an Envato Personal Token by clicking %s.', 'super-floating-flying-menu'), '<a href="https://build.envato.com/create-token/?default=t&amp;purchase:download=t&amp;purchase:list=t" target="_blank">here</a>') ?></p>
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Consent', 'super-floating-flying-menu'); ?></label>
                    <div class="sffm-settings-fields">
                        <span class="sffm-onoff-switch">
                            <input required id="sffm-agree-consent" class="sffm-checkbox" type="checkbox" name="sffm_license_settings[consent]" <?php checked($license_consent, 'on', true); ?>>
                            <label class="sffm-onoff-switch-label" for="sffm-agree-consent"></label>
                        </span>
                        <label for="sffm-agree-consent"><?php echo esc_html__('I agree that the license data will be transmitted to the license server.', 'super-floating-flying-menu'); ?></label>
                    </div>
                </div>

                <?php
                if ($purchase_code && $personal_token) {
                    echo '<div class="sffm-settings-row sffm-license-activation-notice">';
                    if ($is_valid == 'true') {
                        ?>
                        <p class="sffm-license-activate"><?php echo esc_html__('The License has been activated successfully.', 'super-floating-flying-menu') ?></p>
                        <?php
                    } else {
                        ?>
                        <p class="sffm-license-inactive"><?php echo esc_html__('Invalid keys!', 'super-floating-flying-menu') ?></p>
                        <?php
                    }
                    echo '</div>';
                }
                ?>

                <div class="sffm-save-license">
                    <button type="submit" name="submit" class="button button-primary"><?php esc_html_e('Activate License', 'super-floating-flying-menu'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>