<?php
$nav_menus = wp_get_nav_menus();

if (!empty($nav_menus)) {
    $sffm_current_menu_id = $this->get_selected_menu_id();
    $menu_object = wp_get_nav_menu_object($sffm_current_menu_id);
    $menu_name = !empty($menu_object) ? ($menu_object->name) : '';
    $menu_slug = !empty($menu_object) ? ($menu_object->slug) : '';
    $sffm_settings = get_option('sffm_settings');
    $selected_menu_layout = isset($sffm_settings['menu_' . $sffm_current_menu_id]['menu_type']) && !empty($sffm_settings['menu_' . $sffm_current_menu_id]['menu_type']) ? ($sffm_settings['menu_' . $sffm_current_menu_id]['menu_type']) : null;
    $menu = 'menu_' . $sffm_current_menu_id;
    $floatflysettings = isset($sffm_settings[$menu]) ? sffm_recurse_parse_args($sffm_settings[$menu], SFFM_Admin_Templates::default_flyfloat_settings()) : SFFM_Admin_Templates::default_flyfloat_settings();
    ?>
    <div class="sffm-enable-menu-section">
        <label class="sffm-switch">
            <input type="checkbox" id="sffm_select_menu" name="sffm_select_menu" data-sffm-selected-menu-id="<?php echo esc_attr($sffm_current_menu_id); ?>" data-sffm-menu-name="<?php echo esc_attr($menu_name); ?>" data-sffm-menu-slug="<?php echo esc_attr($menu_slug); ?>" <?php if (isset($sffm_settings['menu_' . $sffm_current_menu_id]['menu_enabled']) && $sffm_settings['menu_' . $sffm_current_menu_id]['menu_enabled'] == true)
                         _e('checked'); ?> />
            <span class="sffm-switch-slider round"></span>
        </label>
        <strong><?php esc_html_e('Enable Super Menu', 'super-floating-flying-menu'); ?></strong>
    </div>


    <div class="sffm-menu-type-settings" style="<?php isset($sffm_settings['menu_' . $sffm_current_menu_id]['menu_enabled']) && $sffm_settings['menu_' . $sffm_current_menu_id]['menu_enabled'] == true ? _e('display: block') : _e('display: none'); ?>">

        <div class="sffm-menu-type">
            <label><strong><?php esc_html_e('Select Menu Type', 'super-floating-flying-menu'); ?></strong></label>
            <div class="sffm-button-wrap">
                <div class="sffm-floatingmenu-checkbox">
                    <input type="radio" id="sffm-floatingmenu-checkbox" name="sffm-menu-type-radio-select" data-sffm-selected-menu-id="<?php echo esc_attr($sffm_current_menu_id); ?>" class="sffm-select-menu-type sffm-floatmenu-trigger <?php if ($selected_menu_layout == 'floating_menu')
                           echo ' menu_selected'; ?>" value="floating_menu" data-menutype="floating_menu" <?php checked($selected_menu_layout, 'floating_menu'); ?>>
                    <label for="sffm-floatingmenu-checkbox"><?php esc_html_e('Floating Menu', 'super-floating-flying-menu'); ?></label>
                </div>
                <div class="sffm-flymenu-checkbox">
                    <input type="radio" id="sffm-flymenu-checkbox" name="sffm-menu-type-radio-select" data-sffm-selected-menu-id="<?php echo esc_attr($sffm_current_menu_id); ?>" class="sffm-select-menu-type sffm-flymenu-trigger <?php if ($selected_menu_layout == 'fly_menu')
                           echo ' menu_selected'; ?>" value="fly_menu" data-menutype="fly_menu" <?php checked($selected_menu_layout, 'fly_menu'); ?>>
                    <label for="sffm-flymenu-checkbox"><?php esc_html_e('Fly Menu', 'super-floating-flying-menu'); ?></label>
                </div>
            </div>
        </div>

        <div class="sffm-selected-menu-layout">
            <input type="button" class="button button-primary" id="sffm-menu-settings__trigger" value="Settings">
        </div>
    </div>

    <span class="hidden floatflysettings-data" data-floatflysettings="<?php echo esc_attr(json_encode($floatflysettings)) ?>"></span>

    <?php
} else {
    esc_html_e('No Menu Added', 'super-floating-flying-menu');
}
?>