<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="sffm-template-html">

    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <?php if (!current_theme_supports('title-tag')): ?>
            <title><?php echo wp_get_document_title(); ?></title>
        <?php endif; ?>
        <?php wp_head(); ?>
    </head>
    <?php
    $sffm_settings = get_option('sffm_settings');
    $sffm_template_id = explode('-', get_the_title());
    $flymenu_settings = $sffm_settings['menu_' . $sffm_template_id[2]]['flymenu'];
    $flymenu_layout = $flymenu_settings['flymenu_layout'];
    $panel_background_type = $flymenu_settings['panel_background_type'];
    $panel_width = $flymenu_settings['panel_width'];
    $panel_width_unit = $flymenu_settings['panel_width_unit'];
    $panel_background_color = $flymenu_settings['panel_background_color'] ? $flymenu_settings['panel_background_color'] : '#000';
    $panel_background_image = $flymenu_settings['panel_background_image'];
    $panel_background_repeat = $flymenu_settings['panel_background_repeat'];
    $panel_background_size = $flymenu_settings['panel_background_size'];
    $panel_background_position = $flymenu_settings['panel_background_position'];
    $panel_background_attachment = $flymenu_settings['panel_background_attachment'];
    $panel_top_spacing = is_numeric($flymenu_settings['panel_spacing']['top']) ? $flymenu_settings['panel_spacing']['top'] : 40;
    $panel_right_spacing = is_numeric($flymenu_settings['panel_spacing']['right']) ? $flymenu_settings['panel_spacing']['right'] : 40;
    $panel_bottom_spacing = is_numeric($flymenu_settings['panel_spacing']['bottom']) ? $flymenu_settings['panel_spacing']['bottom'] : 40;
    $panel_left_spacing = is_numeric($flymenu_settings['panel_spacing']['left']) ? $flymenu_settings['panel_spacing']['left'] : 40;
    $panel_width_css = "";

    if (($flymenu_layout == 'side-menu' || $flymenu_layout == 'skew-side-menu' || $flymenu_layout == 'icon-menu') && !empty($panel_width)) {
        $panel_width_css = ' style="width:' . intval($panel_width) . $panel_width_unit . '"';
    }
    ?>

    <body <?php body_class(); ?> <?php echo $panel_width_css ?>>
        <?php
        if (have_posts()):
            while (have_posts()):
                the_post();
                the_content();
            endwhile;
        endif;

        $custom_css = '.sffm-template-html body{position:relative;}';

        if ($panel_background_type == 'color') {
            $custom_css .= ".sffm-template-html body{background:{$panel_background_color}}";
        } elseif ($panel_background_type == 'image') {
            $custom_css .= ".sffm-template-html body{background-image:url({$panel_background_image});background-repeat: {$panel_background_repeat}; background-size: {$panel_background_size}; background-attachment:{$panel_background_attachment}; background-position:{$panel_background_position};}";
        }
        $custom_css .= ".sffm-template-html body{padding:{$panel_top_spacing}px {$panel_right_spacing}px {$panel_bottom_spacing}px {$panel_left_spacing}px }";

        echo '<style>' . $custom_css . '</style>';
        wp_footer();
        ?>
    </body>

</html>