<# var itemId = data.data['menu-item-db-id']; #>
<div id="sffm-panel-float-item-general" class="sffm-panel-float-item-general sffm-panel">
    <# if(data.floatFlyData.floatmenu.template != 'floatmenu-template-14'){ #>
    <div class="sffm-settings-row">
        <label><?php esc_html_e('Menu Icon Type', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <select id="sffm-menu-item-icon-type-{{ itemId }}" class="sffm-icon-type-select" name="{{ sffm.getFieldName( 'floatingmenu.icon_type', itemId ) }}" data-condition="toggle">
                <option value="available_icon" {{ 'available_icon' == data.megaData.floatingmenu.icon_type ? selected="selected" : '' }}><?php esc_html_e('Font Icon', 'super-floating-flying-menu') ?></option>
                <option value="custom_icon" {{ 'custom_icon' == data.megaData.floatingmenu.icon_type ? selected="selected" : '' }}><?php esc_html_e('Image Icon', 'super-floating-flying-menu') ?></option>
            </select>
        </div>
    </div>

    <div class="sffm-settings-row" style="{{ 'available_icon' == data.megaData.floatingmenu.icon_type ? '' : 'display: none;' }}" data-condition-toggle="sffm-menu-item-icon-type-{{ itemId }}" data-condition-val="available_icon">
        <label for="sffm_floatmenu_default_icon_{{itemId}}"><?php esc_html_e('Choose Icon', 'super-floating-flying-menu'); ?></label>
        <div class="sffm-settings-fields">
            <div class="sffm-icon-box-wrap">
                <div class="sffm-selected-icon">
                    <i class="{{ data.megaData.floatingmenu.available_icon }}"></i>
                    <span><i class="sffm-down-icon"></i></span>
                </div>
                <div class="sffm-icon-box">
                    <div class="sffm-icon-search">
                        <select>
                            {{{sffm.selectOptionHtml}}}
                        </select>
                        <input type="text" class="sffm-icon-search-input" placeholder="<?php esc_html_e('Type to filter', 'super-floating-flying-menu'); ?>" />
                    </div>
                    {{{sffm.iconHtml}}}
                </div>
                <input class="sffm-icon" type="hidden" value="{{ data.megaData.floatingmenu.available_icon }}" name="{{ sffm.getFieldName( 'floatingmenu.available_icon', itemId ) }}"/>
            </div>
        </div>
    </div>

    <div class="sffm-settings-row" style="{{ 'custom_icon' == data.megaData.floatingmenu.icon_type ? '' : 'display: none;' }}"  data-condition-toggle="sffm-menu-item-icon-type-{{ itemId }}" data-condition-val="custom_icon">
        <label for="sffm_floatmenu_custom_icon_{{itemId}}"><?php esc_html_e('Upload Icon', 'super-floating-flying-menu'); ?></label>
        <div class="sffm-settings-fields">
            <div class="sffm-icon-image-uploader">
                <div class="sffm-custom-img-icon-btn">
                    <div class="sffm-custom-menu-image-icon" >
                        <# if(data.megaData.floatingmenu.img_icon) { #>
                        <img src="{{ data.megaData.floatingmenu.img_icon }}"/>
                        <# } #>
                    </div>
                    <div class="sffm-image-remove"><?php esc_html_e('Remove', 'super-floating-flying-menu'); ?></div>
                </div>
                <div class="button sffm-image-upload"><?php esc_html_e('Upload', 'super-floating-flying-menu') ?></div>
                <input type="hidden" class="sffm-upload-background-url" name="{{ sffm.getFieldName( 'floatingmenu.img_icon', itemId ) }}" id="sffm_floatmenu_custom_icon_{{itemId}}" value="{{ data.megaData.floatingmenu.img_icon }}"/>
            </div>
        </div>
    </div>

    <div class="sffm-settings-row">
        <label><?php esc_html_e('Show Tooltip', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <label class="sffm-switch">
                <input type="checkbox" name="{{ sffm.getFieldName( 'floatingmenu.tooltip_enable', itemId ) }}" {{ data.megaData.floatingmenu.tooltip_enable == 'on' ? checked="checked" : '' }}>
                <span class="sffm-switch-slider round"></span>
            </label>
        </div>
    </div>
    <# } #>

    <div class="sffm-settings-row">
        <label><?php esc_html_e('Tooltip Text', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <input type="text" name="{{ sffm.getFieldName( 'floatingmenu.tooltip_text', itemId ) }}" placeholder="<?php esc_html_e('Enter Tooltip Text', 'super-floating-flying-menu') ?>" value="{{ data.megaData.floatingmenu.tooltip_text }}">
            <p class="sffm-description"><?php esc_html_e('Replaces the Navigation Label', 'super-floating-flying-menu') ?></p>
        </div>
    </div>

    <div class="sffm-settings-row">
        <label><?php esc_html_e('Menu Action', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <select id="sffm-menu-item-menu-action-{{ itemId }}" name="{{ sffm.getFieldName( 'floatingmenu.action', itemId ) }}" data-condition="toggle">
                <option value="default"><?php esc_html_e('Default', 'super-floating-flying-menu') ?></option>
                <option value="scroll_sectionid" {{ 'scroll_sectionid' == data.megaData.floatingmenu.action ? selected="selected" : '' }}><?php esc_html_e('Scroll To Section ID', 'super-floating-flying-menu') ?></option>
            </select>
        </div>
    </div>

    <div class="sffm-settings-row" style="{{ 'scroll_sectionid' == data.megaData.floatingmenu.action ? 'display: flex;' : 'display: none;' }}" data-condition-toggle="sffm-menu-item-menu-action-{{ itemId }}" data-condition-val="scroll_sectionid">
        <label><?php esc_html_e('Section ID', 'super-floating-flying-menu'); ?></label>
        <div class="sffm-settings-fields">
            <input type="text" id="floatmenu_scroll_sectionid_{{itemId}}" name="{{ sffm.getFieldName( 'floatingmenu.scroll_sectionid', itemId ) }}" placeholder="Enter the ID of the section" value="{{ data.megaData.floatingmenu.scroll_sectionid }}">
            <p class="sffm-description"><?php esc_html_e('Enter the ID of the section without #', 'super-floating-flying-menu') ?></p>
        </div>
    </div>

    <div class="sffm-settings-row" style="{{ 'default' == data.megaData.floatingmenu.action ? '' : 'display: none;' }}" data-condition-toggle="sffm-menu-item-menu-action-{{ itemId }}" data-condition-val="default">
        <label><?php esc_html_e('Open in New Tab', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <label class="sffm-switch">
                <input type="checkbox" name="{{ sffm.getFieldName( 'floatingmenu.target_blank', itemId ) }}" {{ data.megaData.floatingmenu.target_blank == 'on' ? checked="checked" : '' }}>
                <span class="sffm-switch-slider round"></span>
            </label>
        </div>
    </div>
</div>