<div id="sffm-panel-floatdisplay" class="sffm-panel-floatdisplay sffm-panel">
    <div class="sffm-settings-row">
        <label><?php esc_html_e('Hide in Screens', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <div class="sfffm-text-check-box">
                <label>
                    <input type="checkbox" value="desktop" name="floatmenu_hide_screen[]" {{ _.contains (data.floatFlyData.floatmenu.hide_screen , 'desktop') ? checked="checked" : '' }}/>
                           <span><i class="egi-icon-desktop"></i><?php esc_html_e('Desktop', 'super-floating-flying-menu'); ?></span>
                </label>
                <label>
                    <input type="checkbox" value="tablet" name="floatmenu_hide_screen[]" {{ _.contains (data.floatFlyData.floatmenu.hide_screen , 'tablet') ? checked="checked" : '' }}/>
                           <span><i class="egi-icon-tablet"></i><?php esc_html_e('Tablet', 'super-floating-flying-menu'); ?></span>
                </label>
                <label>
                    <input type="checkbox" value="mobile" name="floatmenu_hide_screen[]" {{ _.contains (data.floatFlyData.floatmenu.hide_screen , 'mobile') ? checked="checked" : '' }}/>
                           <span><i class="egi-icon-mobile"></i><?php esc_html_e('Mobile', 'super-floating-flying-menu'); ?></span>
                </label>
                <input type="hidden" value="none" name="floatmenu_hide_screen[]"/>
            </div>
        </div>
    </div>

    <?php if (function_exists('pll_the_languages')) { ?>
        <div class="sffm-settings-row">
            <label><?php esc_html_e('Polylang Display', 'super-floating-flying-menu') ?></label>
            <div class="sffm-settings-fields">
                <select name="floatmenu_polylang_display_condition" data-condition="toggle" id="sffm-floatmenu-polylang-show-hide">
                    <option value="show_all" {{ 'show_all' == data.floatFlyData.floatmenu.polylang_display_condition ? selected="selected" : '' }}><?php esc_html_e('Show in All Languages', 'super-floating-flying-menu'); ?></option>
                    <option value="show_selected" {{ 'show_selected' == data.floatFlyData.floatmenu.polylang_display_condition ? selected="selected" : '' }}><?php esc_html_e('Show in Selected Languages', 'super-floating-flying-menu'); ?></option>
                    <option value="hide_selected" {{ 'hide_selected' == data.floatFlyData.floatmenu.polylang_display_condition ? selected="selected" : '' }}><?php esc_html_e('Hide in Selected Languages', 'super-floating-flying-menu'); ?></option>
                </select>
            </div>
        </div>

        <div class="sffm-settings-row" style="{{ ['show_selected','hide_selected'].includes(data.floatFlyData.floatmenu.polylang_display_condition) ? '' : 'display: none' }}" data-condition-toggle="sffm-floatmenu-polylang-show-hide" data-condition-val="show_selected,hide_selected"">
            <label><?php esc_html_e('Polylang Show/Hide On', 'super-floating-flying-menu') ?></label>
            <div class="sffm-settings-fields sffm-setting-checkbox-field">
                <?php $translations = pll_the_languages(array('raw' => 1)); ?>
                <?php foreach ($translations as $key => $translation) { ?>
                    <p>
                        <input type="checkbox" name="floatmenu_polylang_show_hide_languages[]" value="<?php echo esc_attr($key); ?>" id="floatmenu_polylang_show_hide_<?php echo esc_attr($key); ?>" {{ _.contains(data.floatFlyData.floatmenu.polylang_show_hide_languages , "<?php echo esc_attr($key) ?>") ? checked="checked" : '' }}/>
                               <label for="floatmenu_polylang_show_hide_<?php echo esc_attr($key); ?>"><?php echo esc_html($translation['name']); ?></label>
                    </p>
                <?php } ?>
            </div>
        </div>
    <?php } ?>

    <div class="sffm-settings-row">
        <label><?php esc_html_e('Show/Hide in Pages', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <select name="floatmenu_display_condition" data-condition="toggle" id="sffm-floatmenu-display-condition">
                <option value="show_all" {{ 'show_all' == data.floatFlyData.floatmenu.display_condition ? selected="selected" : '' }}><?php esc_html_e('Show in All Pages', 'super-floating-flying-menu'); ?></option>
                <option value="hide_all" {{ 'hide_all' == data.floatFlyData.floatmenu.display_condition ? selected="selected" : '' }}><?php esc_html_e('Hide in All Pages', 'super-floating-flying-menu'); ?></option>
                <option value="show_selected" {{ 'show_selected' == data.floatFlyData.floatmenu.display_condition ? selected="selected" : '' }}><?php esc_html_e('Show in Selected Pages', 'super-floating-flying-menu'); ?></option>
                <option value="hide_selected" {{ 'hide_selected' == data.floatFlyData.floatmenu.display_condition ? selected="selected" : '' }}><?php esc_html_e('Hide in Selected Pages', 'super-floating-flying-menu'); ?></option>
            </select>
        </div>
    </div>

    <div style="{{ ['show_selected','hide_selected'].includes(data.floatFlyData.floatmenu.display_condition) ? '' : 'display: none' }}" data-condition-toggle="sffm-floatmenu-display-condition" data-condition-val="show_selected,hide_selected">
        <div class="sffm-settings-row">
            <label><?php esc_html_e('Default WordPress Pages', 'super-floating-flying-menu') ?></label>
            <div class="sffm-settings-fields sffm-setting-checkbox-field">
                <p>
                    <input type="checkbox" name="floatmenu_front_pages" value="on" id="floatmenu_front_pages" {{ 'on' == data.floatFlyData.floatmenu.front_pages ? checked="checked" : '' }}/>
                           <label for="floatmenu_front_pages"><?php esc_html_e('Front Page', 'super-floating-flying-menu'); ?></label>
                </p>

                <p>
                    <input type="checkbox" name="floatmenu_blog_pages" value="on" id="floatmenu_blog_pages" {{ 'on' == data.floatFlyData.floatmenu.blog_pages ? checked="checked" : '' }}/>
                           <label for="floatmenu_blog_pages"><?php esc_html_e('Home/Blog Page', 'super-floating-flying-menu'); ?></label>
                </p>

                <p>
                    <input type="checkbox" name="floatmenu_archive_pages" value="on" id="floatmenu_archive_pages" {{ 'on' == data.floatFlyData.floatmenu.archive_pages ? checked="checked" : '' }}/>
                           <label for="floatmenu_archive_pages"><?php esc_html_e('All Archive Page', 'super-floating-flying-menu'); ?></label>
                </p>

                <p>
                    <input type="checkbox" name="floatmenu_error_pages" value="on" id="floatmenu_404_pages" {{ 'on' == data.floatFlyData.floatmenu.error_pages ? checked="checked" : '' }}/>
                           <label for="floatmenu_404_pages"><?php esc_html_e('404 Page', 'super-floating-flying-menu'); ?></label>
                </p>

                <p>
                    <input type="checkbox" name="floatmenu_search_pages" value="on" id="floatmenu_search_pages" {{ 'on' == data.floatFlyData.floatmenu.search_pages ? checked="checked" : '' }}/>
                           <label for="floatmenu_search_pages"><?php esc_html_e('Search Page', 'super-floating-flying-menu'); ?></label>
                </p>

                <?php
                $post_types = get_post_types(array('public' => 'false'));
                sort($post_types);
                foreach ($post_types as $post_type) {
                    if (!($post_type == 'attachment' || $post_type == 'sffm-menu') and get_posts(['post_type' => $post_type])) {
                        ?>
                        <p>
                            <input type="checkbox" name="floatmenu_cpt_pages[]" class="sffm-hide-show-cpt-posts" id="sffm-hscpt-<?php echo esc_attr($post_type); ?>" data-posttype="<?php echo esc_attr($post_type); ?>" value="<?php echo esc_attr($post_type); ?>" {{ _.contains(data.floatFlyData.floatmenu.cpt_pages , "<?php echo esc_attr($post_type) ?>") ? checked="checked" : '' }}/>
                                   <label for="sffm-hscpt-<?php echo esc_attr($post_type); ?>"><?php echo esc_html('All ' . ucwords($post_type)); ?></label>
                        </p>
                        <?php
                    }
                }
                ?>
            </div>
        </div>


        <?php
        $floatmenu_specific_page = array();
        if (!empty($floatmenu_specific_pgs)) {
            foreach ($floatmenu_specific_pgs as $values) {
                $floatmenu_specific_page[] = $values;
            }
        }
        $post_types = get_post_types(array('public' => 'false'));
        sort($post_types);
        ?>
        <div class="sffm-settings-row sffm-hide-singular" id="sffm-show-archive" style="{{ 'on' == data.floatFlyData.floatmenu.archive_pages ? 'display: none;' : '' }}">
            <label>
                <?php
                esc_html_e('Specific Archive Page', 'super-floating-flying-menu');
                ?>
            </label>

            <div class="sffm-settings-fields sffm-setting-checkbox-field">
                <?php
                foreach ($post_types as $post_type) {
                    if (!($post_type == 'attachment' || $post_type == 'sffm-menu')) {
                        ?>
                        <p>
                            <input type="checkbox" name="floatmenu_specific_archive[]" id="sffm-archive-<?php echo esc_attr($post_type); ?>" value="<?php echo esc_attr($post_type); ?>" {{ _.contains(data.floatFlyData.floatmenu.specific_archive , "<?php echo esc_attr($post_type) ?>") ? checked="checked" : '' }} />
                                   <label for="sffm-archive-<?php echo esc_attr($post_type); ?>"><?php echo esc_html(ucwords($post_type)); ?></label>
                        </p>
                        <?php
                    }
                }
                ?>
            </div>
        </div>
        <?php
        foreach ($post_types as $post_type) {
            if (!($post_type == 'attachment' || $post_type == 'sffm-menu') and get_posts(['post_type' => $post_type])) {
                ?>
                <div class="sffm-settings-row sffm-hide-singular" id="sffm-cpt-<?php echo esc_attr($post_type); ?>" style="{{ _.contains(data.floatFlyData.floatmenu.cpt_pages , "<?php echo esc_attr($post_type) ?>") ? 'display: none;' : '' }}">
                    <label>
                        <?php
                        esc_html_e('Specific ', 'super-floating-flying-menu');
                        echo esc_html(ucwords($post_type));
                        ?>
                    </label>
                    <div class="sffm-settings-fields floatmenu-specific-pages-ids" data-selected="{{data.floatFlyData.floatmenu.specific_pages.join(',')}}" data-type="<?php echo esc_attr($post_type); ?>">
                        <select id="sffm-floatmenu-specific-<?php echo esc_attr($post_type); ?>" name="floatmenu_specific_pages[]" multiple></select>
                    </div>
                </div>
                <?php
            }
        }
        ?>
    </div>
</div>