<div id="sffm-panel-floatimex" class="sffm-panel-floatimex sffm-panel">
    <div class="sffm-settings-row">
        <label><?php esc_html_e('Import/Export Note', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <p style="margin:0 0 5px;font-weight:bold;"><?php printf(esc_html('You can export the settings and then import it in new menu of the same or different website.', 'super-floating-flying-menu')); ?></p>
            <p style="margin:0;font-weight:bold;"><?php printf(esc_html('And you can also import the prebuilt template with one click using the "Import Prebuild Template" option below.', 'super-floating-flying-menu')); ?></p>
        </div>
    </div>
    <div class="sffm-settings-row">
        <label><?php esc_html_e('Export Settings', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <form method="post">
                <input type="hidden" name="sffm_floatmenu_imex_action" value="export_settings" />
                <input type="hidden" name="sffm_floatmenu_menu_id" value="{{data.menuId}}" />
                <?php wp_nonce_field('sffm_floatmenu_imex_export_nonce', 'sffm_floatmenu_imex_export_nonce'); ?>
                <button class="button button-primary" id="sffm_floatmenu_export" name="sffm_floatmenu_export"><i class='icofont-download'></i> <?php esc_html_e('Download Settings', 'super-floating-flying-menu'); ?></button>
            </form>
        </div>
    </div>

    <div class="sffm-settings-row">
        <label><?php esc_html_e('Import Settings', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <form method="post" enctype="multipart/form-data">
                <div class="sffm-preview-zone hidden">
                    <div class="box box-solid">
                        <div class="box-body"></div>
                        <button type="button" class="button sffm-remove-preview">
                            <i class="icofont-close-circled"></i>
                        </button>
                    </div>
                </div>
                <div class="sffm-dropzone-wrapper">
                    <div class="sffm-dropzone-desc">
                        <i class="icofont-download"></i>
                        <p><?php esc_html_e('Choose an json file or drag it here', 'super-floating-flying-menu'); ?></p>
                    </div>
                    <input type="file" name="sffm_floatmenu_import_file" class="sffm-dropzone">
                </div>
                <button class="button button-primary" id="sffm-floatmenu-import" type="submit" name="sffm_floatmenu_import"><i class='icofont-download'></i> <?php esc_html_e('Import', 'super-floating-flying-menu'); ?></button>
                <input type="hidden" name="sffm_floatmenu_imex_action" value="import_settings" />
                <input type="hidden" name="sffm_floatmenu_menu_id" value="{{data.menuId}}" />
                <?php wp_nonce_field('sffm_floatmenu_imex_import_nonce', 'sffm_floatmenu_imex_import_nonce'); ?>
            </form>
            <p class="sffm-description"><?php esc_html_e('NOTE: Menu Items will imported/exported as a Custom Links. No post/page/category will be imported/exported.', 'super-floating-flying-menu') ?></p>
        </div>
    </div>

    <div class="sffm-settings-row">
        <label><?php esc_html_e('Import Prebuilt Template', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <form method="post" class="sffm_import_template_form" onsubmit="return confirm('<?php esc_html_e("Are you sure? It will overwrite the current menu settings.", "super-floating-flying-menu"); ?>');">
                <?php include SFFM_PATH . "admin/inc/import-config.php"; ?>
                <select name="sffm_import_template">
                    <?php
                    foreach ($sffm_templates as $key => $template):
                        if ($template['type'] == "floating"):
                            ?>
                            <option value="<?php echo esc_attr($key); ?>" data-elementor="<?php echo esc_attr($template["require_elementor"]); ?>"><?php echo esc_html($template["name"], "super-floating-flying-menu"); ?></option>
                            <?php
                        endif;
                    endforeach;
                    ?>
                </select>
                <input type="hidden" name="sffm_floatmenu_imex_action" value="import_temp_settings" />
                <input type="hidden" name="sffm_floatmenu_menu_id" value="{{data.menuId}}" />
                <?php wp_nonce_field("sffm_floatmenu_imex_import_temp_nonce", "sffm_floatmenu_imex_import_temp_nonce"); ?>
                <button class="button" id="sffm_temp_import" type="submit" name="sffm_temp_import" value="<?php esc_html_e("Import Template", "super-floating-flying-menu") ?>"><span class='egi-icon-download'></span><?php esc_html_e("Import Template", "super-floating-flying-menu") ?></button>
                <a href="https://demo.hashthemes.com/super-floating-and-flying-menu/floating-menu-template-1/" class="button button-primary" target="_blank" id="sffm_temp_view_demo"><span class="egi-icon-laptop"></span><?php esc_html_e("View Demo", "super-floating-flying-menu"); ?> - <span class="sffm-temp-name"><?php echo esc_html("Template 1", "super-floating-flying-menu") ?></span></a>
            </form>
            <p class="sffm-description"><?php esc_html_e("Click on 'View Demo' button to check the demo.", "super-floating-flying-menu"); ?></p>
        </div>
    </div>
</div>