<# var itemId = data.data['menu-item-db-id']; #>
<div id="sffm-panel-fly-item-general" class="sffm-panel-fly-item-general sffm-panel">
    <div class="sffm-settings-row">
        <label><?php esc_html_e('Menu Icon Type', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <select id="sffm-menu-item-icon-type-{{ itemId }}" class="sffm-icon-type-select" name="{{ sffm.getFieldName( 'flymenu.icon_type', itemId ) }}" data-condition="toggle">
                <option value="none" {{ 'none' == data.megaData.flymenu.icon_type ? selected="selected" : '' }}><?php esc_html_e('None', 'super-floating-flying-menu') ?></option>
                <option value="available_icon" {{ 'available_icon' == data.megaData.flymenu.icon_type ? selected="selected" : '' }}><?php esc_html_e('Font Icon', 'super-floating-flying-menu') ?></option>
                <option value="custom_icon" {{ 'custom_icon' == data.megaData.flymenu.icon_type ? selected="selected" : '' }}><?php esc_html_e('Image Icon', 'super-floating-flying-menu') ?></option>
            </select>
        </div>
    </div>

    <div class="sffm-settings-row" style="{{ 'available_icon' == data.megaData.flymenu.icon_type ? '' : 'display: none;' }}" data-condition-toggle="sffm-menu-item-icon-type-{{ itemId }}" data-condition-val="available_icon">
        <label for="sffm_floatmenu_default_icon_{{itemId}}"><?php esc_html_e('Choose Icon', 'super-floating-flying-menu'); ?></label>
        <div class="sffm-settings-fields">
            <div class="sffm-icon-box-wrap">
                <div class="sffm-selected-icon">
                    <i class="{{ data.megaData.flymenu.available_icon }}"></i>
                    <span><i class="sffm-down-icon"></i></span>
                </div>
                <div class="sffm-icon-box">
                    <div class="sffm-icon-search">
                        <select>
                            {{{sffm.selectOptionHtml}}}
                        </select>
                        <input type="text" class="sffm-icon-search-input" placeholder="<?php esc_html_e('Type to filter', 'super-floating-flying-menu'); ?>" />
                    </div>
                    {{{sffm.iconHtml}}}
                </div>
                <input class="sffm-icon" type="hidden" value="{{ data.megaData.flymenu.available_icon }}" name="{{ sffm.getFieldName( 'flymenu.available_icon', itemId ) }}"/>
            </div>
        </div>
    </div>

    <div class="sffm-settings-row" style="{{ 'custom_icon' == data.megaData.flymenu.icon_type ? '' : 'display: none;' }}"  data-condition-toggle="sffm-menu-item-icon-type-{{ itemId }}" data-condition-val="custom_icon">
        <label for="sffm_floatmenu_custom_icon_{{itemId}}"><?php esc_html_e('Upload Icon', 'super-floating-flying-menu'); ?></label>
        <div class="sffm-settings-fields">
            <div class="sffm-icon-image-uploader">
                <div class="sffm-custom-img-icon-btn">
                    <div class="sffm-custom-menu-image-icon" >
                        <# if(data.megaData.flymenu.img_icon) { #>
                        <img src="{{ data.megaData.flymenu.img_icon }}"/>
                        <# } #>
                    </div>
                    <div class="sffm-image-remove"><?php esc_html_e('Remove', 'super-floating-flying-menu'); ?></div>
                </div>
                <div class="button sffm-image-upload"><?php esc_html_e('Upload', 'super-floating-flying-menu') ?></div>
                <input type="hidden" class="sffm-upload-background-url" name="{{ sffm.getFieldName( 'flymenu.img_icon', itemId ) }}" id="sffm_floatmenu_custom_icon_{{itemId}}" value="{{ data.megaData.flymenu.img_icon }}"/>
            </div>
        </div>
    </div>

    <div class="sffm-settings-row">
        <label for="sffm_menu_short_desc_{{itemId}}"><?php esc_attr_e('Menu Short Description', 'super-floating-flying-menu'); ?></label>
        <div class="sffm-settings-fields">
            <input type="text" id="sffm_menu_short_desc_{{itemId}}" name="{{ sffm.getFieldName( 'flymenu.short_description', itemId ) }}" value="{{ data.megaData.flymenu.short_description }}">
        </div>
    </div>

    <div class="sffm-settings-row">
        <label for="sffm_menu_notification_label_{{itemId}}"><?php esc_attr_e('Menu Notification Label', 'super-floating-flying-menu'); ?></label>
        <div class="sffm-settings-fields">
            <input type="text" id="sffm_menu_notification_label_{{itemId}}" name="{{ sffm.getFieldName( 'flymenu.notification_label', itemId ) }}" value="{{ data.megaData.flymenu.notification_label }}">
        </div>
    </div>

    <# if(data.depth == 0 && data.floatFlyData.flymenu.flymenu_layout == 'side-menu' && data.floatFlyData.flymenu.side_menu_submenu_animation == 'menu-drop'){ #>
    <div class="sffm-settings-row">
        <label><?php esc_html_e('Additional Content', 'super-floating-flying-menu'); ?></label>
        <div class="sffm-settings-fields">
            <textarea name="{{ sffm.getFieldName( 'flymenu.push_menu_additional_content', itemId ) }}" id='push_menu_additional_content'>{{data.megaData.flymenu.push_menu_additional_content}}</textarea>
            <#
            setTimeout(function () {
            var editorId = 'push_menu_additional_content';

            if (tinymce.get(editorId)) {
            wp.editor.remove(editorId);
            }

            wp.editor.initialize(editorId, {
            tinymce: {
            wpautop: true,
            setup: function (editor) {
            editor.on('change', function () {
            editor.save();
            });
            }
            },
            quicktags: true
            });
            }, 300);
            #>
            <p class="sffm-description"><?php esc_html_e('You can add Shortcode here. It will display in new panel only if the menu item does not have child item.', 'super-floating-flying-menu'); ?></p>
        </div>
    </div>
    <# } #>

    <# if(data.depth > 0){ #>
    <div class="sffm-settings-row">
        <label><?php esc_html_e('Additional Content', 'super-floating-flying-menu'); ?></label>
        <div class="sffm-settings-fields">
            <textarea name="{{ sffm.getFieldName( 'flymenu.additional_content', itemId ) }}" id='menu_additional_content'>{{data.megaData.flymenu.additional_content}}</textarea>
            <#
            setTimeout(function () {
            var editorId = 'menu_additional_content';

            if (tinymce.get(editorId)) {
            wp.editor.remove(editorId);
            }

            wp.editor.initialize(editorId, {
            tinymce: {
            wpautop: true,
            setup: function (editor) {
            editor.on('change', function () {
            editor.save();
            });
            }
            },
            quicktags: true
            });
            }, 300);
            #>
            <p class="sffm-description"><?php esc_html_e('HTML and Shortcode Supported', 'super-floating-flying-menu'); ?></p>
        </div>
    </div>
    <# } #>
</div>