<div id="sffm-panel-flycontent" class="sffm-panel-flycontent sffm-panel">

    <div data-condition-toggle="sffm-flymenu-layout" data-condition-val="side-menu,skew-side-menu,fullscreen-menu" style="{{ 'icon-menu' == data.floatFlyData.flymenu.flymenu_layout ? 'display: none;' : '' }}">
        <div class="sffm-settings-row">
            <label><?php esc_html_e('Display Content From', 'super-floating-flying-menu') ?></label>
            <div class="sffm-settings-fields">
                <select name="flymenu_custom_display_content_from" id="sffm-custom-display-content-from" data-condition="toggle">
                    <option value="custom-content" {{ 'custom-content' == data.floatFlyData.flymenu.custom_display_content_from ? selected="selected" : '' }}><?php esc_html_e('Custom Content', 'super-floating-flying-menu') ?></option>
                    <option value="elementor-content" {{ 'elementor-content' == data.floatFlyData.flymenu.custom_display_content_from ? selected="selected" : '' }}><?php esc_html_e('Elementor Content', 'super-floating-flying-menu') ?></option>
                </select>
            </div>
        </div>

        <div data-condition-toggle="sffm-custom-display-content-from" data-condition-val="elementor-content" style="{{ 'elementor-content' == data.floatFlyData.flymenu.custom_display_content_from ? '' : 'display: none;' }}">
            <div class="sffm-settings-row">
                <label><?php esc_html_e('Elementor Template', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">

                    <?php
                    if (file_exists(ABSPATH . 'wp-content/plugins/elementor/elementor.php') && !is_plugin_active('elementor/elementor.php')) {
                        ?>
                        <a class="button sffm-activate-elementor-plugin"><?php echo esc_html__('Activate Elementor', 'super-floating-flying-menu') ?></a>
                        <?php
                    } elseif (file_exists(ABSPATH . 'wp-content/plugins/elementor/elementor.php')) {
                        ?>
                        <a id="edit-menu-floatfly-template-{{ data.menuId }}" class="button sffm-open-floatfly-editor sffm-editor-initialized" data-menu-id="{{ data.menuId }}"><?php echo esc_html__('Edit Template', 'super-floating-flying-menu') ?></a>
                        <?php
                    } else {
                        ?>
                        <a class="button sffm-install-elementor-plugin"><?php echo esc_html__('Install Elementor', 'super-floating-flying-menu') ?></a>
                        <?php
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>

    <div class="sffm-settings-row" data-condition-toggle="sffm-flymenu-layout" data-condition-val="side-menu,skew-side-menu,fullscreen-menu" style="{{ _.contains (['side-menu','skew-side-menu','fullscreen-menu'], data.floatFlyData.flymenu.flymenu_layout) ? '' : 'display: none;' }}">
        <label><?php esc_html_e('Content Vertical Alignment', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <div class="sfffm-text-check-box">
                <label>
                    <input type="radio" value="top" name="flymenu_content_alignment" {{ 'top' == data.floatFlyData.flymenu.content_alignment ? checked="checked" : '' }}/>
                           <span><i class="mdi mdi-format-vertical-align-top"></i><?php esc_html_e('Top', 'super-floating-flying-menu'); ?></span>
                </label>
                <label>
                    <input type="radio" value="middle" name="flymenu_content_alignment" {{ 'middle' == data.floatFlyData.flymenu.content_alignment ? checked="checked" : '' }}/>
                           <span><i class="mdi mdi-format-align-middle"></i><?php esc_html_e('Middle', 'super-floating-flying-menu'); ?></span>
                </label>
                <label>
                    <input type="radio" value="bottom" name="flymenu_content_alignment" {{ 'bottom' == data.floatFlyData.flymenu.content_alignment ? checked="checked" : '' }}/>
                           <span><i class="mdi mdi-format-vertical-align-bottom"></i><?php esc_html_e('Bottom', 'super-floating-flying-menu'); ?></span>
                </label>
                <label>
                    <input type="radio" value="stretch" name="flymenu_content_alignment" {{ 'stretch' == data.floatFlyData.flymenu.content_alignment ? checked="checked" : '' }}/>
                           <span><i class="mdi mdi-arrow-expand-vertical"></i><?php esc_html_e('Stretch', 'super-floating-flying-menu'); ?></span>
                </label>
            </div>
        </div>
    </div>   

    <div data-condition-toggle="sffm-custom-display-content-from" data-condition-val="custom-content" style="{{ 'custom-content' == data.floatFlyData.flymenu.custom_display_content_from || !data.floatFlyData.flymenu.custom_display_content_from ? '' : 'display: none;' }}">

        <div class="sffm-submenu">
            <div class="sffm-submenu-tab sffm-tab-active" data-tab="sffm-header-sub-section"><?php esc_html_e('Header Section', 'super-floating-flying-menu'); ?></div>
            <div class="sffm-submenu-tab" data-tab="sffm-body-main-menu-sub-section"><?php esc_html_e('Body Section - Main Menu', 'super-floating-flying-menu'); ?></div>
            <div class="sffm-submenu-tab" data-tab="sffm-footer-sub-section"><?php esc_html_e('Footer Section', 'super-floating-flying-menu'); ?></div>
            <div class="sffm-submenu-tab" data-tab="sffm-search-form-sub-section"><?php esc_html_e('Search Form', 'super-floating-flying-menu'); ?></div>
            <div class="sffm-submenu-tab" data-tab="sffm-social-media-sub-section"><?php esc_html_e('Social Icons', 'super-floating-flying-menu'); ?></div>
        </div>

        <div class="sffm-submenu-content">
            <div class="sffm-submenu-section" id="sffm-header-sub-section">
                <h2 class="sffm-heading"><?php esc_html_e('Header Section', 'super-floating-flying-menu'); ?></h2>
                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Header Image', 'super-floating-flying-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <select name="flymenu_header_img_option" id="sffm-custom-header-image" data-condition="toggle">
                            <option value="no_image" {{ 'no_image' == data.floatFlyData.flymenu.header_img_option ? selected="selected" : '' }}><?php esc_html_e('No Image', 'super-floating-flying-menu') ?></option>
                            <option value="site_logo" {{ 'site_logo' == data.floatFlyData.flymenu.header_img_option ? selected="selected" : '' }}><?php esc_html_e('Site Logo', 'super-floating-flying-menu') ?></option>
                            <option value="user_image" {{ 'user_image' == data.floatFlyData.flymenu.header_img_option ? selected="selected" : '' }}><?php esc_html_e('Site User Avatar', 'super-floating-flying-menu') ?></option>
                            <option value="custom_header_image" {{ 'custom_header_image' == data.floatFlyData.flymenu.header_img_option ? selected="selected" : '' }}><?php esc_html_e('Custom Image', 'super-floating-flying-menu') ?></option>
                        </select>
                    </div>
                </div>
                <div class="sffm-settings-row" data-condition-toggle="sffm-custom-header-image" data-condition-val="custom_header_image" style="{{ 'custom_header_image' == data.floatFlyData.flymenu.header_img_option ? '' : 'display: none;' }}">
                    <label><?php echo esc_html('Custom Header Image'); ?></label>
                    <div class="sffm-settings-fields">
                        <div class="sffm-image-uploader">
                            <div class="sffm-image-placeholder {{ data.floatFlyData.flymenu.custom_header_image ? 'sffm-hidden' : '' }}">
                                <?php esc_html_e('No image selected', 'super-floating-flying-menu'); ?>
                            </div>

                            <div class="sffm-image-thumbnail {{ !data.floatFlyData.flymenu.custom_header_image ? 'sffm-hidden' : '' }}">
                                <# if (data.floatFlyData.flymenu.custom_header_image) { #>
                                <img src="{{ data.floatFlyData.flymenu.custom_header_image }}" style="max-width:100%;"/>
                                <# } #>
                            </div>

                            <div class="sffm-actions wp-clearfix">
                                <button type="button" class="button sffm-media-delete-btn align-left"><?php esc_html_e('Remove', 'super-floating-flying-menu'); ?></button>
                                <button type="button" class="button sffm-media-upload-btn alignright"><?php esc_html_e('Select Image', 'super-floating-flying-menu'); ?></button>
                                <input name="flymenu_custom_header_image" class="sffm-upload-input" type="hidden" value="{{ data.floatFlyData.flymenu.custom_header_image }}"/>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="sffm-settings-row" data-condition-toggle="sffm-custom-header-image" data-condition-val="custom_header_image,site_logo" style="{{ _.contains (['custom_header_image','site_logo'], data.floatFlyData.flymenu.header_img_option) ? '' : 'display: none;' }}">
                    <label><?php esc_html_e('Width', 'super-floating-flying-menu'); ?></label>

                    <div class="sffm-settings-fields sffm-flex-field">
                        <input class="sffm-range-input-selector" type="number" name="flymenu_header_image_width" value="{{data.floatFlyData.flymenu.header_image_width}}">
                        <select name="flymenu_header_image_width_unit" class='sffm-unit'>
                            <option value="px" {{ 'px' == data.floatFlyData.flymenu.header_image_width_unit ? selected="selected" : '' }}>px</option>
                            <option value="em" {{ 'em' == data.floatFlyData.flymenu.header_image_width_unit ? selected="selected" : '' }}>em</option>
                            <option value="%" {{ '%' == data.floatFlyData.flymenu.header_image_width_unit ? selected="selected" : '' }}>%</option>
                        </select>
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Header Text', 'super-floating-flying-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <select name="flymenu_header_text_option" id="sffm-fly-menu-header-text-option" data-condition="toggle">
                            <option value="no_text" {{ 'no_text' == data.floatFlyData.flymenu.header_text_option ? selected="selected" : '' }}><?php esc_html_e('No Text', 'super-floating-flying-menu') ?></option>
                            <option value="site_title" {{ 'site_title' == data.floatFlyData.flymenu.header_text_option ? selected="selected" : '' }}><?php esc_html_e('Site Title & Tagline', 'super-floating-flying-menu') ?></option>
                            <option value="username" {{ 'username' == data.floatFlyData.flymenu.header_text_option ? selected="selected" : '' }}><?php esc_html_e('Logged Username', 'super-floating-flying-menu') ?></option>
                            <option value="custom_header_text" {{ 'custom_header_text' == data.floatFlyData.flymenu.header_text_option ? selected="selected" : '' }}><?php esc_html_e('Custom Text', 'super-floating-flying-menu') ?></option>
                        </select>
                    </div>
                </div>

                <div data-condition-toggle="sffm-fly-menu-header-text-option" data-condition-val="custom_header_text" style="{{ 'custom_header_text' == data.floatFlyData.flymenu.header_text_option ? '' : 'display: none;' }}">
                    <div class="sffm-settings-row">
                        <label><?php esc_html_e('Header Title', 'super-floating-flying-menu') ?></label>
                        <div class="sffm-settings-fields">
                            <input type="text" name="flymenu_custom_header_text" value="{{ data.floatFlyData.flymenu.custom_header_text }}">
                        </div>
                    </div>

                    <div class="sffm-settings-row">
                        <label><?php esc_html_e('Header Tagline', 'super-floating-flying-menu') ?></label>
                        <div class="sffm-settings-fields">
                            <input type="text" name="flymenu_custom_tagline_text" value="{{ data.floatFlyData.flymenu.custom_tagline_text }}">
                        </div>
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Additional Header Text', 'super-floating-flying-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <textarea name="flymenu_header_custom_content" id='header_custom_content'>{{data.floatFlyData.flymenu.header_custom_content}}</textarea>
                        <#
                        setTimeout(function () {
                        var editorId = 'header_custom_content';

                        if (tinymce.get(editorId)) {
                        wp.editor.remove(editorId);
                        }

                        wp.editor.initialize(editorId, {
                        tinymce: {
                        wpautop: true,
                        setup: function (editor) {
                        editor.on('change', function () {
                        editor.save();
                        });
                        }
                        },
                        quicktags: true
                        });
                        }, 300);
                        #>
                        <p class="sffm-description"><?php esc_html_e('Custom HTML and Shortcodes supported.', 'super-floating-flying-menu') ?></p>
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Content Alignment', 'super-floating-flying-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <div class="sfffm-text-check-box">
                            <label>
                                <input type="radio" value="left" name="flymenu_header_content_alignment" {{ 'left' == data.floatFlyData.flymenu.header_content_alignment ? checked="checked" : '' }}/>
                                       <span><i class="mdi mdi-format-align-left"></i><?php esc_html_e('Left', 'super-floating-flying-menu'); ?></span>
                            </label>
                            <label>
                                <input type="radio" value="center" name="flymenu_header_content_alignment" {{ 'center' == data.floatFlyData.flymenu.header_content_alignment ? checked="checked" : '' }}/>
                                       <span><i class="mdi mdi-format-align-center"></i><?php esc_html_e('Center', 'super-floating-flying-menu'); ?></span>
                            </label>
                            <label>
                                <input type="radio" value="right" name="flymenu_header_content_alignment" {{ 'right' == data.floatFlyData.flymenu.header_content_alignment ? checked="checked" : '' }}/>
                                       <span><i class="mdi mdi-format-align-right"></i><?php esc_html_e('Right', 'super-floating-flying-menu'); ?></span>
                            </label>
                        </div>
                    </div>
                </div>
            </div>

            <div class="sffm-submenu-section" id="sffm-body-main-menu-sub-section" style="display:none">
                <div data-condition-toggle="sffm-flymenu-layout" data-condition-val="side-menu,skew-side-menu,fullscreen-menu" style="{{ _.contains (['side-menu','skew-side-menu','fullscreen-menu'], data.floatFlyData.flymenu.flymenu_layout) ? '' : 'display: none;' }}">
                    <h2 class="sffm-heading"><?php esc_html_e('Body Section - Main Menu', 'super-floating-flying-menu'); ?></h2>
                    <div class="sffm-settings-row">
                        <label><?php esc_html_e('Menu Animation', 'super-floating-flying-menu') ?></label>
                        <div class="sffm-settings-fields">
                            <select name="flymenu_menu_animation">
                                <option value="none" {{ 'none' == data.floatFlyData.flymenu.menu_animation ? selected="selected" : '' }}><?php esc_html_e('None', 'super-floating-flying-menu') ?></option>
                                <option value="slide-left" {{ 'slide-left' == data.floatFlyData.flymenu.menu_animation ? selected="selected" : '' }}><?php esc_html_e('Slide From Left', 'super-floating-flying-menu') ?></option>
                                <option value="slide-right" {{ 'slide-right' == data.floatFlyData.flymenu.menu_animation ? selected="selected" : '' }}><?php esc_html_e('Slide From Right', 'super-floating-flying-menu') ?></option>
                                <option value="slide-top" {{ 'slide-top' == data.floatFlyData.flymenu.menu_animation ? selected="selected" : '' }}><?php esc_html_e('Slide From Top', 'super-floating-flying-menu') ?></option>
                                <option value="slide-bottom" {{ 'slide-bottom' == data.floatFlyData.flymenu.menu_animation ? selected="selected" : '' }}><?php esc_html_e('Slide From Bottom', 'super-floating-flying-menu') ?></option>
                                <option value="slide-top-rotate" {{ 'slide-top-rotate' == data.floatFlyData.flymenu.menu_animation ? selected="selected" : '' }}><?php esc_html_e('Slide From Top with Slight Rotation', 'super-floating-flying-menu') ?></option>
                            </select>
                            <p class="sffm-description"><?php esc_html_e('Animation with which the menu items appears and dissappears.', 'super-floating-flying-menu') ?></p>
                        </div>
                    </div>

                    <div class="sffm-settings-row">
                        <label><?php esc_html_e('Menu Alignment', 'super-floating-flying-menu') ?></label>
                        <div class="sffm-settings-fields">
                            <div class="sfffm-text-check-box">
                                <label>
                                    <input type="radio" value="left" name="flymenu_body_content_alignment" {{ 'left' == data.floatFlyData.flymenu.body_content_alignment ? checked="checked" : '' }}/>
                                           <span><i class="mdi mdi-format-align-left"></i><?php esc_html_e('Left', 'super-floating-flying-menu'); ?></span>
                                </label>
                                <label>
                                    <input type="radio" value="center" name="flymenu_body_content_alignment" {{ 'center' == data.floatFlyData.flymenu.body_content_alignment ? checked="checked" : '' }}/>
                                           <span><i class="mdi mdi-format-align-center"></i><?php esc_html_e('Center', 'super-floating-flying-menu'); ?></span>
                                </label>
                                <label>
                                    <input type="radio" value="right" name="flymenu_body_content_alignment" {{ 'right' == data.floatFlyData.flymenu.body_content_alignment ? checked="checked" : '' }}/>
                                           <span><i class="mdi mdi-format-align-right"></i><?php esc_html_e('Right', 'super-floating-flying-menu'); ?></span>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="sffm-submenu-section" id="sffm-footer-sub-section" style="display:none">
                <h2 class="sffm-heading"><?php esc_html_e('Footer Section', 'super-floating-flying-menu'); ?></h2>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Additional Footer Text', 'super-floating-flying-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <textarea name="flymenu_footer_custom_content" id='footer_custom_content'>{{data.floatFlyData.flymenu.footer_custom_content}}</textarea>
                        <#
                        setTimeout(function () {
                        var editorId = 'footer_custom_content';

                        if (tinymce.get(editorId)) {
                        wp.editor.remove(editorId);
                        }

                        wp.editor.initialize(editorId, {
                        tinymce: {
                        wpautop: true,
                        setup: function (editor) {
                        editor.on('change', function () {
                        editor.save();
                        });
                        }
                        },
                        quicktags: true
                        });
                        }, 300);
                        #>
                        <p class="sffm-description"><?php esc_html_e('Custom HTML and Shortcodes supported.', 'super-floating-flying-menu') ?></p>
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Content Alignment', 'super-floating-flying-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <div class="sfffm-text-check-box">
                            <label>
                                <input type="radio" value="left" name="flymenu_footer_content_alignment" {{ 'left' == data.floatFlyData.flymenu.footer_content_alignment ? checked="checked" : '' }}/>
                                       <span><i class="mdi mdi-format-align-left"></i><?php esc_html_e('Left', 'super-floating-flying-menu'); ?></span>
                            </label>
                            <label>
                                <input type="radio" value="center" name="flymenu_footer_content_alignment" {{ 'center' == data.floatFlyData.flymenu.footer_content_alignment ? checked="checked" : '' }}/>
                                       <span><i class="mdi mdi-format-align-center"></i><?php esc_html_e('Center', 'super-floating-flying-menu'); ?></span>
                            </label>
                            <label>
                                <input type="radio" value="right" name="flymenu_footer_content_alignment" {{ 'right' == data.floatFlyData.flymenu.footer_content_alignment ? checked="checked" : '' }}/>
                                       <span><i class="mdi mdi-format-align-right"></i><?php esc_html_e('Right', 'super-floating-flying-menu'); ?></span>
                            </label>
                        </div>
                    </div>
                </div>
            </div>

            <div class="sffm-submenu-section" id="sffm-search-form-sub-section" style="display:none">
                <h2 class="sffm-heading"><?php esc_html_e('Search Form', 'super-floating-flying-menu'); ?></h2>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Search Form Location', 'super-floating-flying-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <select name="flymenu_searchform_area">
                            <option value="none" {{ 'header' == data.floatFlyData.flymenu.searchform_area ? selected="selected" : '' }}><?php esc_html_e('Don\'t Display', 'super-floating-flying-menu') ?></option>
                            <option value="header" {{ 'header' == data.floatFlyData.flymenu.searchform_area ? selected="selected" : '' }}><?php esc_html_e('Header', 'super-floating-flying-menu') ?></option>
                            <option value="footer" {{ 'footer' == data.floatFlyData.flymenu.searchform_area ? selected="selected" : '' }}><?php esc_html_e('Footer', 'super-floating-flying-menu') ?></option>
                        </select>
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Search Form Placeholder', 'super-floating-flying-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <input type="text" name="flymenu_searchform_placeholder" value="{{data.floatFlyData.flymenu.searchform_placeholder}}">
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Width', 'super-floating-flying-menu'); ?></label>
                    <div class="sffm-settings-fields">
                        <div class="sffm-range-slider-field">
                            <div class="sffm-range-slider"></div>
                            <input class="sffm-range-input-selector" type="number" min="30" max="100" step="1" value="{{ data.floatFlyData.flymenu.search_form_width }}" name="flymenu_search_form_width"/> %
                        </div>
                    </div> 
                </div>
            </div>

            <div class="sffm-submenu-section" id="sffm-social-media-sub-section" style="display:none">
                <h2 class="sffm-heading"><?php esc_html_e('Social Icons', 'super-floating-flying-menu'); ?></h2>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Social Icon Location', 'super-floating-flying-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <select name="flymenu_social_icons_area">
                            <option value="none" {{ 'none' == data.floatFlyData.flymenu.social_icons_area ? selected="selected" : '' }}><?php esc_html_e('Don\'t Display', 'super-floating-flying-menu') ?></option>
                            <option value="header" {{ 'header' == data.floatFlyData.flymenu.social_icons_area ? selected="selected" : '' }}><?php esc_html_e('Header', 'super-floating-flying-menu') ?></option>
                            <option value="footer" {{ 'footer' == data.floatFlyData.flymenu.social_icons_area ? selected="selected" : '' }}><?php esc_html_e('Footer', 'super-floating-flying-menu') ?></option>
                        </select>
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Button Shape', 'super-floating-and-float-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <select name="flymenu_social_icons_shape">                        
                            <option value="square" {{ 'square' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Square', 'super-floating-flying-menu'); ?></option>
                            <option value="round" {{ 'round' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Round', 'super-floating-flying-menu'); ?></option>
                            <option value="triangle" {{ 'triangle' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Triangle', 'super-floating-flying-menu'); ?></option>
                            <option value="rounded-square" {{ 'rounded-square' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Rounded Square', 'super-floating-flying-menu'); ?></option>
                            <option value="oval" {{ 'oval' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Oval', 'super-floating-flying-menu'); ?></option>
                            <option value="star" {{ 'star' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Star', 'super-floating-flying-menu'); ?></option>
                            <option value="rhombus" {{ 'rhombus' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Rhombus', 'super-floating-flying-menu'); ?></option>
                            <option value="pentagon" {{ 'pentagon' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Pentagon', 'super-floating-flying-menu'); ?></option>
                            <option value="hexagon" {{ 'hexagon' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Hexagon', 'super-floating-flying-menu'); ?></option>
                            <option value="rabbet" {{ 'rabbet' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Rabbet', 'super-floating-flying-menu'); ?></option>
                            <option value="blob" {{ 'blob' == data.floatFlyData.flymenu.social_icons_shape ? selected="selected" : '' }}><?php esc_html_e('Animating Blob', 'super-floating-flying-menu'); ?></option>
                        </select>
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Button Sizes', 'super-floating-and-float-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <div class="sffm-settings-list-row">
                            <div class="sffm-settings-list">
                                <ul class="sffm-two-column-row">
                                    <li class="sffm-settings-list">
                                        <label><?php esc_html_e('Button Size (px)', 'super-floating-and-float-menu') ?></label>
                                        <div class="sffm-settings-fields">
                                            <input type="number" name="flymenu_social_icons_button_size" value="{{ data.floatFlyData.flymenu.social_icons_button_size }}">
                                        </div>
                                    </li>

                                    <li class="sffm-settings-list">
                                        <label><?php esc_html_e('Icon Size (px)', 'super-floating-and-float-menu') ?></label>
                                        <div class="sffm-settings-fields">
                                            <input type="number" name="flymenu_social_icons_icon_size" value="{{ data.floatFlyData.flymenu.social_icons_icon_size }}">
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="sffm-settings-row">
                    <label><?php esc_html_e('Social Icons', 'super-floating-flying-menu') ?></label>
                    <div class="sffm-settings-fields">
                        <div class="sffm-settings-list-row">
                            <div class="sffm-settings-list">
                                <div id="sffm-social-icon-list">
                                    <#
                                    if(data.floatFlyData.flymenu.social_icon) {
                                    var socian_icons = _.omit(data.floatFlyData.flymenu.social_icon, 0);
                                    var count = 0;
                                    _.forEach(socian_icons, function(socialIcon, key) { 
                                    count++;
                                    #>
                                    <div class="sffm-social-icon-list">
                                        <h4>
                                            <# if(socialIcon['icon_name']) { #>
                                            {{{ socialIcon['icon_name'] }}}
                                            <# }else{ #>
                                            <?php esc_html_e('No Title', 'super-floating-flying-menu'); ?>
                                            <# } #>
                                            <span></span>
                                        </h4> 
                                        <div class="sffm-social-icon-list-wrap">
                                            <div class="sffm-social-icon-field">
                                                <label><?php esc_html_e('Icon Select', 'super-floating-flying-menu'); ?></label>
                                                <div class="sffm-icon-box-wrap">
                                                    <div class="sffm-selected-icon">
                                                        <i class="{{ socialIcon['icon'] }}"></i>
                                                        <span><i class="sffm-down-icon"></i></span>
                                                    </div>

                                                    <div class="sffm-icon-box">
                                                        <div class="sffm-icon-search">
                                                            <select>
                                                                {{{sffm.selectOptionHtml}}}
                                                            </select>
                                                            <input type="text" class="sffm-icon-search-input" placeholder="<?php esc_html_e('Type to filter', 'super-floating-flying-menu'); ?>" />
                                                        </div>
                                                        {{{sffm.iconHtml}}}
                                                    </div>
                                                    <input class="sffm-icon" type="hidden" value="{{ socialIcon['icon'] }}" name="flymenu_social_icon[{{ count }}][icon]"/>
                                                </div>
                                            </div>

                                            <div class="sffm-social-icon-field">
                                                <label><?php esc_html_e('Title', 'super-floating-flying-menu'); ?></label> 
                                                <input type="text" name="flymenu_social_icon[{{ count }}][icon_name]" value="{{ socialIcon['icon_name'] }}" />
                                            </div> 

                                            <div class="sffm-social-icon-field">
                                                <label><?php esc_html_e('Icon URL', 'super-floating-flying-menu') ?></label> 
                                                <input type="url" name="flymenu_social_icon[{{ count }}][url]" value="{{ socialIcon['url'] }}" />
                                            </div> 

                                            <div class="sffm-social-icon-field">
                                                <label><?php esc_html_e('Icon Tooltip', 'super-floating-flying-menu') ?></label> 
                                                <input type="text" name="flymenu_social_icon[{{ count }}][tooltip]" value="{{ socialIcon['tooltip'] }}" />
                                            </div>

                                            <a class="sffm-custom-socialicon-remove" href="#"><i class="sffm-close-icon-2"></i></a>
                                        </div>
                                    </div>
                                    <#
                                    });
                                    }
                                    #>
                                </div>
                                <input type="hidden" name="flymenu_social_icon[0][set]" value="yes" />
                                <a data-count="{{ count }}" class="button" id="sffm-add-social-icon" href="#"><?php esc_html_e('Add Social Icon', 'super-floating-flying-menu'); ?></a>
                            </div>

                            <div class="sffm-settings-list">
                                <label><?php esc_html_e('Open in New Tab', 'super-floating-flying-menu'); ?></label>
                                <div class="sffm-settings-fields">
                                    <label class="sffm-switch">
                                        <input type="checkbox" name="flymenu_social_link_new_tab" value="on" {{ 'on' == data.floatFlyData.flymenu.social_link_new_tab ? checked="checked" : '' }}>
                                               <span class="sffm-switch-slider round"></span>
                                    </label>
                                    <p class="sffm-description"><?php esc_html_e('Social links will open in new tab when clicked.', 'super-floating-flying-menu'); ?></p>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>