<div id="sffm-panel-flydesign" class="sffm-panel-flydesign sffm-panel">
    <div class="sffm-submenu">
        <div class="sffm-submenu-tab sffm-tab-active" data-tab="sffm-header-sub-section"><?php esc_html_e('Header Section', 'super-floating-flying-menu'); ?></div>
        <div class="sffm-submenu-tab" data-tab="sffm-menu-sub-section"><?php esc_html_e('Main Menu', 'super-floating-flying-menu'); ?></div>
        <div class="sffm-submenu-tab" data-tab="sffm-footer-sub-section"><?php esc_html_e('Footer Section', 'super-floating-flying-menu'); ?></div>
        <div class="sffm-submenu-tab" data-tab="sffm-search-sub-section"><?php esc_html_e('Search Form', 'super-floating-flying-menu'); ?></div>
        <div class="sffm-submenu-tab" data-tab="sffm-social-icons-sub-section"><?php esc_html_e('Social Icons', 'super-floating-flying-menu'); ?></div>
        <div class="sffm-submenu-tab" data-tab="sffm-close-button-sub-section"><?php esc_html_e('Close Button', 'super-floating-flying-menu'); ?></div>
    </div>

    <div class="sffm-submenu-content">
        <div class="sffm-submenu-section" id="sffm-header-sub-section">
            <h2 class="sffm-heading"><?php esc_html_e('Header Section', 'super-floating-flying-menu'); ?></h2>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Header Title Typography', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-typography-fields">
                        <li class="sffm-typography-font-family-field">
                            <label><?php esc_html_e('Font Family', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <select name="flymenu_header_title_font_family" class="sffm-typography-font-family">
                                    <# _.each( sffmMenuData.sffm_default_font_families, function( label, choice ) { #>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_title_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } ) #>

                                    <# if ( sffmMenuData.sffm_standard_font_families ) { #>
                                    <optgroup label="Standard Fonts">
                                        <# _.each( sffmMenuData.sffm_standard_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_title_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>

                                    <# if ( sffmMenuData.sffm_google_font_families ) { #>
                                    <optgroup label="Google Fonts">
                                        <# _.each( sffmMenuData.sffm_google_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_title_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>
                                </select>
                            </div>
                        </li>

                        <li class="sffm-typography-font-style-field">
                            <label><?php esc_html_e('Font Style', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# var sffmVariants = sffmMenuData.sffm_complete_font_variants[data.floatFlyData.flymenu.header_title_font_family];
                                if( sffmVariants ) { #>
                                <select name="flymenu_header_title_font_style" class="sffm-typography-font-style">
                                    <# _.each( sffmVariants, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_title_font_style ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-transform-field">
                            <label><?php esc_html_e('Text Transform', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_transform_choices){ #>
                                <select name="flymenu_header_title_text_transform" class="sffm-typography-text-transform">
                                    <# _.each( sffmMenuData.sffm_text_transform_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_title_text_transform ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-decoration-field">
                            <label><?php esc_html_e('Text Decoration', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_decoration_choices){ #>
                                <select name="flymenu_header_title_text_decoration" class="sffm-typography-text-decoration">
                                    <# _.each( sffmMenuData.sffm_text_decoration_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_title_text_decoration ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-font-size-field">
                            <label><?php esc_html_e('Font Size', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" min="0" max="90" step="1" type="number" value="{{ data.floatFlyData.flymenu.header_title_font_size }}" name="flymenu_header_title_font_size"/> px
                            </div>
                        </li>


                        <li class="sffm-typography-line-height-field">
                            <label><?php esc_html_e('Line Height', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="0" max="5" step="0.1" value="{{ data.floatFlyData.flymenu.header_title_line_height }}" name="flymenu_header_title_line_height"/>
                            </div>         
                        </li>

                        <li class="sffm-typography-letter-spacing-field">
                            <label><?php esc_html_e('Letter Spacing', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="-10" max="10" step="0.1" value="{{ data.floatFlyData.flymenu.header_title_letter_spacing }}" name="flymenu_header_title_letter_spacing"/> px
                            </div>           
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Header Tagline Typography', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-typography-fields">
                        <li class="sffm-typography-font-family-field">
                            <label><?php esc_html_e('Font Family', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <select name="flymenu_header_tagline_font_family" class="sffm-typography-font-family">
                                    <# _.each( sffmMenuData.sffm_default_font_families, function( label, choice ) { #>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_tagline_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } ) #>

                                    <# if ( sffmMenuData.sffm_standard_font_families ) { #>
                                    <optgroup label="Standard Fonts">
                                        <# _.each( sffmMenuData.sffm_standard_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_tagline_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>

                                    <# if ( sffmMenuData.sffm_google_font_families ) { #>
                                    <optgroup label="Google Fonts">
                                        <# _.each( sffmMenuData.sffm_google_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_tagline_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>
                                </select>
                            </div>
                        </li>

                        <li class="sffm-typography-font-style-field">
                            <label><?php esc_html_e('Font Style', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# var sffmVariants = sffmMenuData.sffm_complete_font_variants[data.floatFlyData.flymenu.header_tagline_font_family];
                                if( sffmVariants ) { #>
                                <select name="flymenu_header_tagline_font_style" class="sffm-typography-font-style">
                                    <# _.each( sffmVariants, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_tagline_font_style ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-transform-field">
                            <label><?php esc_html_e('Text Transform', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_transform_choices){ #>
                                <select name="flymenu_header_tagline_text_transform" class="sffm-typography-text-transform">
                                    <# _.each( sffmMenuData.sffm_text_transform_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_tagline_text_transform ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-decoration-field">
                            <label><?php esc_html_e('Text Decoration', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_decoration_choices){ #>
                                <select name="flymenu_header_tagline_text_decoration" class="sffm-typography-text-decoration">
                                    <# _.each( sffmMenuData.sffm_text_decoration_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_tagline_text_decoration ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-font-size-field">
                            <label><?php esc_html_e('Font Size', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" min="0" max="90" step="1" type="number" value="{{ data.floatFlyData.flymenu.header_tagline_font_size }}" name="flymenu_header_tagline_font_size"/> px
                            </div>
                        </li>


                        <li class="sffm-typography-line-height-field">
                            <label><?php esc_html_e('Line Height', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="0" max="5" step="0.1" value="{{ data.floatFlyData.flymenu.header_tagline_line_height }}" name="flymenu_header_tagline_line_height"/>
                            </div>         
                        </li>

                        <li class="sffm-typography-letter-spacing-field">
                            <label><?php esc_html_e('Letter Spacing', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="-10" max="10" step="0.1" value="{{ data.floatFlyData.flymenu.header_tagline_letter_spacing }}" name="flymenu_header_tagline_letter_spacing"/> px
                            </div>           
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Header Text Typography', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-typography-fields">
                        <li class="sffm-typography-font-family-field">
                            <label><?php esc_html_e('Font Family', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <select name="flymenu_header_text_font_family" class="sffm-typography-font-family">
                                    <# _.each( sffmMenuData.sffm_default_font_families, function( label, choice ) { #>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_text_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } ) #>

                                    <# if ( sffmMenuData.sffm_standard_font_families ) { #>
                                    <optgroup label="Standard Fonts">
                                        <# _.each( sffmMenuData.sffm_standard_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_text_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>

                                    <# if ( sffmMenuData.sffm_google_font_families ) { #>
                                    <optgroup label="Google Fonts">
                                        <# _.each( sffmMenuData.sffm_google_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_text_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>
                                </select>
                            </div>
                        </li>

                        <li class="sffm-typography-font-style-field">
                            <label><?php esc_html_e('Font Style', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# var sffmVariants = sffmMenuData.sffm_complete_font_variants[data.floatFlyData.flymenu.header_text_font_family];
                                if( sffmVariants ) { #>
                                <select name="flymenu_header_text_font_style" class="sffm-typography-font-style">
                                    <# _.each( sffmVariants, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_text_font_style ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-transform-field">
                            <label><?php esc_html_e('Text Transform', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_transform_choices){ #>
                                <select name="flymenu_header_text_text_transform" class="sffm-typography-text-transform">
                                    <# _.each( sffmMenuData.sffm_text_transform_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_text_text_transform ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-decoration-field">
                            <label><?php esc_html_e('Text Decoration', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_decoration_choices){ #>
                                <select name="flymenu_header_text_text_decoration" class="sffm-typography-text-decoration">
                                    <# _.each( sffmMenuData.sffm_text_decoration_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.header_text_text_decoration ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-font-size-field">
                            <label><?php esc_html_e('Font Size', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" min="0" max="90" step="1" type="number" value="{{ data.floatFlyData.flymenu.header_text_font_size }}" name="flymenu_header_text_font_size"/> px
                            </div>
                        </li>


                        <li class="sffm-typography-line-height-field">
                            <label><?php esc_html_e('Line Height', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="0" max="5" step="0.1" value="{{ data.floatFlyData.flymenu.header_text_line_height }}" name="flymenu_header_text_line_height"/>
                            </div>         
                        </li>

                        <li class="sffm-typography-letter-spacing-field">
                            <label><?php esc_html_e('Letter Spacing', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="-10" max="10" step="0.1" value="{{ data.floatFlyData.flymenu.header_text_letter_spacing }}" name="flymenu_header_text_letter_spacing"/> px
                            </div>           
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Header Colors', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-three-column-row">
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Header Title Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_header_title_color" value="{{ data.floatFlyData.flymenu.header_title_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Header Tagline Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_header_tagline_color" value="{{ data.floatFlyData.flymenu.header_tagline_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Header Text Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_header_text_color" value="{{ data.floatFlyData.flymenu.header_text_color }}">
                            </div>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Header Spacing (px)', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-spacing-fields">
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_header_spacing[top]" value="{{ data.floatFlyData.flymenu.header_spacing.top }}">
                            <label><?php esc_html_e('Top', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_header_spacing[right]" value="{{ data.floatFlyData.flymenu.header_spacing.right }}">
                            <label><?php esc_html_e('Right', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_header_spacing[bottom]" value="{{ data.floatFlyData.flymenu.header_spacing.bottom }}">
                            <label><?php esc_html_e('Bottom', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_header_spacing[left]" value="{{ data.floatFlyData.flymenu.header_spacing.left }}">
                            <label><?php esc_html_e('Left', 'super-floating-flying-menu') ?></label>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Spacing Between Element', 'super-floating-flying-menu'); ?></label>
                <div class="sffm-settings-fields">
                    <div class="sffm-range-slider-field">
                        <div class="sffm-range-slider"></div>
                        <input class="sffm-range-input-selector" type="number" min="0" max="100" step="1" value="{{ data.floatFlyData.flymenu.header_element_spacing }}" name="flymenu_header_element_spacing"/> px
                    </div>
                </div> 
            </div>
        </div>

        <div class="sffm-submenu-section" id="sffm-menu-sub-section" style="display:none">

            <h2 class="sffm-heading"><?php esc_html_e('Main Menu', 'super-floating-flying-menu'); ?></h2>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Menu Label Typography', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-typography-fields">
                        <li class="sffm-typography-font-family-field">
                            <label><?php esc_html_e('Font Family', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <select name="flymenu_menu_label_font_family" class="sffm-typography-font-family">
                                    <# _.each( sffmMenuData.sffm_default_font_families, function( label, choice ) { #>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_label_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } ) #>

                                    <# if ( sffmMenuData.sffm_standard_font_families ) { #>
                                    <optgroup label="Standard Fonts">
                                        <# _.each( sffmMenuData.sffm_standard_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_label_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>

                                    <# if ( sffmMenuData.sffm_google_font_families ) { #>
                                    <optgroup label="Google Fonts">
                                        <# _.each( sffmMenuData.sffm_google_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_label_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>
                                </select>
                            </div>
                        </li>

                        <li class="sffm-typography-font-style-field">
                            <label><?php esc_html_e('Font Style', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# var sffmVariants = sffmMenuData.sffm_complete_font_variants[data.floatFlyData.flymenu.menu_label_font_family];
                                if( sffmVariants ) { #>
                                <select name="flymenu_menu_label_font_style" class="sffm-typography-font-style">
                                    <# _.each( sffmVariants, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_label_font_style ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-transform-field">
                            <label><?php esc_html_e('Text Transform', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_transform_choices){ #>
                                <select name="flymenu_menu_label_text_transform" class="sffm-typography-text-transform">
                                    <# _.each( sffmMenuData.sffm_text_transform_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_label_text_transform ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-decoration-field">
                            <label><?php esc_html_e('Text Decoration', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_decoration_choices){ #>
                                <select name="flymenu_menu_label_text_decoration" class="sffm-typography-text-decoration">
                                    <# _.each( sffmMenuData.sffm_text_decoration_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_label_text_decoration ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-font-size-field">
                            <label><?php esc_html_e('Font Size', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" min="0" max="90" step="1" type="number" value="{{ data.floatFlyData.flymenu.menu_label_font_size }}" name="flymenu_menu_label_font_size"/> px
                            </div>
                        </li>


                        <li class="sffm-typography-line-height-field">
                            <label><?php esc_html_e('Line Height', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="0" max="5" step="0.1" value="{{ data.floatFlyData.flymenu.menu_label_line_height }}" name="flymenu_menu_label_line_height"/>
                            </div>         
                        </li>

                        <li class="sffm-typography-letter-spacing-field">
                            <label><?php esc_html_e('Letter Spacing', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="-10" max="10" step="0.1" value="{{ data.floatFlyData.flymenu.menu_label_letter_spacing }}" name="flymenu_menu_label_letter_spacing"/> px
                            </div>           
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Short Desciption Typography', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-typography-fields">
                        <li class="sffm-typography-font-family-field">
                            <label><?php esc_html_e('Font Family', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <select name="flymenu_menu_desc_font_family" class="sffm-typography-font-family">
                                    <# _.each( sffmMenuData.sffm_default_font_families, function( label, choice ) { #>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_desc_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } ) #>

                                    <# if ( sffmMenuData.sffm_standard_font_families ) { #>
                                    <optgroup label="Standard Fonts">
                                        <# _.each( sffmMenuData.sffm_standard_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_desc_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>

                                    <# if ( sffmMenuData.sffm_google_font_families ) { #>
                                    <optgroup label="Google Fonts">
                                        <# _.each( sffmMenuData.sffm_google_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_desc_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>
                                </select>
                            </div>
                        </li>

                        <li class="sffm-typography-font-style-field">
                            <label><?php esc_html_e('Font Style', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# var sffmVariants = sffmMenuData.sffm_complete_font_variants[data.floatFlyData.flymenu.menu_desc_font_family];
                                if( sffmVariants ) { #>
                                <select name="flymenu_menu_desc_font_style" class="sffm-typography-font-style">
                                    <# _.each( sffmVariants, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_desc_font_style ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-transform-field">
                            <label><?php esc_html_e('Text Transform', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_transform_choices){ #>
                                <select name="flymenu_menu_desc_text_transform" class="sffm-typography-text-transform">
                                    <# _.each( sffmMenuData.sffm_text_transform_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_desc_text_transform ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-decoration-field">
                            <label><?php esc_html_e('Text Decoration', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_decoration_choices){ #>
                                <select name="flymenu_menu_desc_text_decoration" class="sffm-typography-text-decoration">
                                    <# _.each( sffmMenuData.sffm_text_decoration_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_desc_text_decoration ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-font-size-field">
                            <label><?php esc_html_e('Font Size', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" min="0" max="90" step="1" type="number" value="{{ data.floatFlyData.flymenu.menu_desc_font_size }}" name="flymenu_menu_desc_font_size"/> px
                            </div>
                        </li>


                        <li class="sffm-typography-line-height-field">
                            <label><?php esc_html_e('Line Height', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="0" max="5" step="0.1" value="{{ data.floatFlyData.flymenu.menu_desc_line_height }}" name="flymenu_menu_desc_line_height"/>
                            </div>         
                        </li>

                        <li class="sffm-typography-letter-spacing-field">
                            <label><?php esc_html_e('Letter Spacing', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="-10" max="10" step="0.1" value="{{ data.floatFlyData.flymenu.menu_desc_letter_spacing }}" name="flymenu_menu_desc_letter_spacing"/> px
                            </div>           
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Additional Content Typography', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-typography-fields">
                        <li class="sffm-typography-font-family-field">
                            <label><?php esc_html_e('Font Family', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <select name="flymenu_menu_content_font_family" class="sffm-typography-font-family">
                                    <# _.each( sffmMenuData.sffm_default_font_families, function( label, choice ) { #>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_content_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } ) #>

                                    <# if ( sffmMenuData.sffm_standard_font_families ) { #>
                                    <optgroup label="Standard Fonts">
                                        <# _.each( sffmMenuData.sffm_standard_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_content_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>

                                    <# if ( sffmMenuData.sffm_google_font_families ) { #>
                                    <optgroup label="Google Fonts">
                                        <# _.each( sffmMenuData.sffm_google_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_content_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>
                                </select>
                            </div>
                        </li>

                        <li class="sffm-typography-font-style-field">
                            <label><?php esc_html_e('Font Style', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# var sffmVariants = sffmMenuData.sffm_complete_font_variants[data.floatFlyData.flymenu.menu_content_font_family];
                                if( sffmVariants ) { #>
                                <select name="flymenu_menu_content_font_style" class="sffm-typography-font-style">
                                    <# _.each( sffmVariants, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_content_font_style ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-transform-field">
                            <label><?php esc_html_e('Text Transform', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_transform_choices){ #>
                                <select name="flymenu_menu_content_text_transform" class="sffm-typography-text-transform">
                                    <# _.each( sffmMenuData.sffm_text_transform_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_content_text_transform ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-decoration-field">
                            <label><?php esc_html_e('Text Decoration', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_decoration_choices){ #>
                                <select name="flymenu_menu_content_text_decoration" class="sffm-typography-text-decoration">
                                    <# _.each( sffmMenuData.sffm_text_decoration_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.menu_content_text_decoration ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-font-size-field">
                            <label><?php esc_html_e('Font Size', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" min="0" max="90" step="1" type="number" value="{{ data.floatFlyData.flymenu.menu_content_font_size }}" name="flymenu_menu_content_font_size"/> px
                            </div>
                        </li>


                        <li class="sffm-typography-line-height-field">
                            <label><?php esc_html_e('Line Height', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="0" max="5" step="0.1" value="{{ data.floatFlyData.flymenu.menu_content_line_height }}" name="flymenu_menu_content_line_height"/>
                            </div>         
                        </li>

                        <li class="sffm-typography-letter-spacing-field">
                            <label><?php esc_html_e('Letter Spacing', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="-10" max="10" step="0.1" value="{{ data.floatFlyData.flymenu.menu_content_letter_spacing }}" name="flymenu_menu_content_letter_spacing"/> px
                            </div>           
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Menu Items Colors', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-three-column-row">
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_menu_label_color" value="{{ data.floatFlyData.flymenu.menu_label_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Background Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_menu_bg_color" value="{{ data.floatFlyData.flymenu.menu_bg_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Bottom Border Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_menu_border_color" value="{{ data.floatFlyData.flymenu.menu_border_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Color(Hover)', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_menu_label_color_hover" value="{{ data.floatFlyData.flymenu.menu_label_color_hover }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Background Color(Hover)', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_menu_bg_color_hover" value="{{ data.floatFlyData.flymenu.menu_bg_color_hover }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Bottom Border Color(Hover)', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_menu_border_color_hover" value="{{ data.floatFlyData.flymenu.menu_border_color_hover }}">
                            </div>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Menu Short Description Color', 'super-floating-flying-menu'); ?></label>
                <div class="sffm-settings-fields">
                    <input type="text" class="color-picker sffm-color-picker" name="flymenu_menu_short_desc_color" value="{{ data.floatFlyData.flymenu.menu_short_desc_color }}">
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Menu Additional Content Color', 'super-floating-flying-menu'); ?></label>
                <div class="sffm-settings-fields">
                    <input type="text" class="color-picker sffm-color-picker" name="flymenu_menu_add_content_color" value="{{ data.floatFlyData.flymenu.menu_add_content_color }}">
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Menu Notification Colors', 'super-floating-flying-menu'); ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-three-column-row">
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_menu_notification_color" value="{{ data.floatFlyData.flymenu.menu_notification_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Background Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_menu_notification_bg_color" value="{{ data.floatFlyData.flymenu.menu_notification_bg_color }}">
                            </div>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Menu Spacing (px)', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-spacing-fields">
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_menu_spacing[top]" value="{{ data.floatFlyData.flymenu.menu_spacing.top }}">
                            <label><?php esc_html_e('Top', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_menu_spacing[right]" value="{{ data.floatFlyData.flymenu.menu_spacing.right }}">
                            <label><?php esc_html_e('Right', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_menu_spacing[bottom]" value="{{ data.floatFlyData.flymenu.menu_spacing.bottom }}">
                            <label><?php esc_html_e('Bottom', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_menu_spacing[left]" value="{{ data.floatFlyData.flymenu.menu_spacing.left }}">
                            <label><?php esc_html_e('Left', 'super-floating-flying-menu') ?></label>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Menu Item Padding (px)', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-spacing-fields">
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_menu_item_spacing[top]" value="{{ data.floatFlyData.flymenu.menu_item_spacing.top }}">
                            <label><?php esc_html_e('Top', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_menu_item_spacing[right]" value="{{ data.floatFlyData.flymenu.menu_item_spacing.right }}">
                            <label><?php esc_html_e('Right', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_menu_item_spacing[bottom]" value="{{ data.floatFlyData.flymenu.menu_item_spacing.bottom }}">
                            <label><?php esc_html_e('Bottom', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_menu_item_spacing[left]" value="{{ data.floatFlyData.flymenu.menu_item_spacing.left }}">
                            <label><?php esc_html_e('Left', 'super-floating-flying-menu') ?></label>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="sffm-submenu-section" id="sffm-footer-sub-section" style="display:none">
            <h2 class="sffm-heading"><?php esc_html_e('Footer Section', 'super-floating-flying-menu'); ?></h2>   

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Footer Text Typography', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-typography-fields">
                        <li class="sffm-typography-font-family-field">
                            <label><?php esc_html_e('Font Family', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <select name="flymenu_footer_text_font_family" class="sffm-typography-font-family">
                                    <# _.each( sffmMenuData.sffm_default_font_families, function( label, choice ) { #>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.footer_text_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } ) #>

                                    <# if ( sffmMenuData.sffm_standard_font_families ) { #>
                                    <optgroup label="Standard Fonts">
                                        <# _.each( sffmMenuData.sffm_standard_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.footer_text_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>

                                    <# if ( sffmMenuData.sffm_google_font_families ) { #>
                                    <optgroup label="Google Fonts">
                                        <# _.each( sffmMenuData.sffm_google_font_families, function( label, choice ) {#>
                                        <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.footer_text_font_family ) { #> selected="selected" <# } #>>{{ label }}</option>
                                        <# } )#>
                                    </optgroup>
                                    <# } #>
                                </select>
                            </div>
                        </li>

                        <li class="sffm-typography-font-style-field">
                            <label><?php esc_html_e('Font Style', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# var sffmVariants = sffmMenuData.sffm_complete_font_variants[data.floatFlyData.flymenu.footer_text_font_family];
                                if( sffmVariants ) { #>
                                <select name="flymenu_footer_text_font_style" class="sffm-typography-font-style">
                                    <# _.each( sffmVariants, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.footer_text_font_style ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-transform-field">
                            <label><?php esc_html_e('Text Transform', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_transform_choices){ #>
                                <select name="flymenu_footer_text_text_transform" class="sffm-typography-text-transform">
                                    <# _.each( sffmMenuData.sffm_text_transform_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.footer_text_text_transform ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-text-decoration-field">
                            <label><?php esc_html_e('Text Decoration', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field">
                                <# if(sffmMenuData.sffm_text_decoration_choices){ #>
                                <select name="flymenu_footer_text_text_decoration" class="sffm-typography-text-decoration">
                                    <# _.each( sffmMenuData.sffm_text_decoration_choices, function( label, choice ) {#>
                                    <option value="{{ choice }}" <# if ( choice === data.floatFlyData.flymenu.footer_text_text_decoration ) { #> selected="selected" <# } #>>{{ label }}</option>
                                    <# } )#>
                                </select>
                                <# } #>
                            </div>
                        </li>

                        <li class="sffm-typography-font-size-field">
                            <label><?php esc_html_e('Font Size', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-typography-input-field sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" min="0" max="90" step="1" type="number" value="{{ data.floatFlyData.flymenu.footer_text_font_size }}" name="flymenu_footer_text_font_size"/> px
                            </div>
                        </li>


                        <li class="sffm-typography-line-height-field">
                            <label><?php esc_html_e('Line Height', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="0" max="5" step="0.1" value="{{ data.floatFlyData.flymenu.footer_text_line_height }}" name="flymenu_footer_text_line_height"/>
                            </div>         
                        </li>

                        <li class="sffm-typography-letter-spacing-field">
                            <label><?php esc_html_e('Letter Spacing', 'super-floating-flying-menu'); ?></label>
                            <div class="sffm-settings-fields sffm-range-slider-field">
                                <div class="sffm-range-slider"></div>
                                <input class="sffm-range-input-selector" type="number" min="-10" max="10" step="0.1" value="{{ data.floatFlyData.flymenu.footer_text_letter_spacing }}" name="flymenu_footer_text_letter_spacing"/> px
                            </div>           
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Footer Text', 'super-floating-flying-menu'); ?></label>
                <div class="sffm-settings-fields">
                    <input type="text" class="color-picker sffm-color-picker" name="flymenu_footer_text_color" value="{{ data.floatFlyData.flymenu.footer_text_color }}">
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Footer Spacing (px)', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-spacing-fields">
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_footer_spacing[top]" value="{{ data.floatFlyData.flymenu.footer_spacing.top }}">
                            <label><?php esc_html_e('Top', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_footer_spacing[right]" value="{{ data.floatFlyData.flymenu.footer_spacing.right }}">
                            <label><?php esc_html_e('Right', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_footer_spacing[bottom]" value="{{ data.floatFlyData.flymenu.footer_spacing.bottom }}">
                            <label><?php esc_html_e('Bottom', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_footer_spacing[left]" value="{{ data.floatFlyData.flymenu.footer_spacing.left }}">
                            <label><?php esc_html_e('Left', 'super-floating-flying-menu') ?></label>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Spacing Between Element', 'super-floating-flying-menu'); ?></label>
                <div class="sffm-settings-fields">
                    <div class="sffm-range-slider-field">
                        <div class="sffm-range-slider"></div>
                        <input class="sffm-range-input-selector" type="number" min="0" max="100" step="1" value="{{ data.floatFlyData.flymenu.footer_element_spacing }}" name="flymenu_footer_element_spacing"/> px
                    </div>
                </div> 
            </div>
        </div>

        <div class="sffm-submenu-section" id="sffm-search-sub-section" style="display:none">
            <h2 class="sffm-heading"><?php esc_html_e('Search Form', 'super-floating-flying-menu'); ?></h2>   

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Search Colors', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-three-column-row">
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Background Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_search_bg_color" value="{{ data.floatFlyData.flymenu.search_bg_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Border Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_search_border_color" value="{{ data.floatFlyData.flymenu.search_border_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Text Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_search_text_color" value="{{ data.floatFlyData.flymenu.search_text_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Button Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_search_button_color" value="{{ data.floatFlyData.flymenu.search_button_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Button Icon Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_search_button_icon_color" value="{{ data.floatFlyData.flymenu.search_button_icon_color }}">
                            </div>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Search Padding (px)', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-spacing-fields">
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_search_spacing[top]" value="{{ data.floatFlyData.flymenu.search_spacing.top }}">
                            <label><?php esc_html_e('Top', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_search_spacing[right]" value="{{ data.floatFlyData.flymenu.search_spacing.right }}">
                            <label><?php esc_html_e('Right', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_search_spacing[bottom]" value="{{ data.floatFlyData.flymenu.search_spacing.bottom }}">
                            <label><?php esc_html_e('Bottom', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_search_spacing[left]" value="{{ data.floatFlyData.flymenu.search_spacing.left }}">
                            <label><?php esc_html_e('Left', 'super-floating-flying-menu') ?></label>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Search Border Radius', 'super-floating-flying-menu'); ?></label>
                <div class="sffm-settings-fields">
                    <div class="sffm-range-slider-field">
                        <div class="sffm-range-slider"></div>
                        <input class="sffm-range-input-selector" type="number" min="0" max="200" step="1" value="{{ data.floatFlyData.flymenu.search_form_border_radius }}" name="flymenu_search_form_border_radius"/> px
                    </div>
                </div> 
            </div>
        </div>

        <div class="sffm-submenu-section" id="sffm-social-icons-sub-section" style="display:none">
            <h2 class="sffm-heading"><?php esc_html_e('Social Icons', 'super-floating-flying-menu'); ?></h2>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Social Icons Colors', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-two-column-row">
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Icon Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_socialicon_icon_color" value="{{ data.floatFlyData.flymenu.socialicon_icon_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Icon Color(Hover)', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_socialicon_icon_color_hover" value="{{ data.floatFlyData.flymenu.socialicon_icon_color_hover }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Background Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_socialicon_bg_color" value="{{ data.floatFlyData.flymenu.socialicon_bg_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Background Color(Hover)', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_socialicon_bg_color_hover" value="{{ data.floatFlyData.flymenu.socialicon_bg_color_hover }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Border Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_socialicon_border_color" value="{{ data.floatFlyData.flymenu.socialicon_border_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Border Color(Hover)', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_socialicon_border_color_hover" value="{{ data.floatFlyData.flymenu.socialicon_border_color_hover }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('ToolTip Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_socialicon_tooltip_color" value="{{ data.floatFlyData.flymenu.socialicon_tooltip_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('ToolTip Background Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_socialicon_tooltip_bg_color" value="{{ data.floatFlyData.flymenu.socialicon_tooltip_bg_color }}">
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="sffm-submenu-section" id="sffm-close-button-sub-section" style="display:none">
            <h2 class="sffm-heading"><?php esc_html_e('Close Button', 'super-floating-flying-menu'); ?></h2>
            <div class="sffm-settings-row">
                <label><?php esc_html_e('Display Position', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <select name="flymenu_close_button_position" data-condition="toggle" id="sffm-flymenu-close-button-position">
                        <option value="none" {{ 'none' == data.floatFlyData.flymenu.close_button_position ? selected="selected" : '' }}><?php esc_html_e('Don\'t Show', 'super-floating-flying-menu'); ?></option>
                        <option value="left" {{ 'left' == data.floatFlyData.flymenu.close_button_position ? selected="selected" : '' }}><?php esc_html_e('Left', 'super-floating-flying-menu'); ?></option>
                        <option value="right" {{ 'right' == data.floatFlyData.flymenu.close_button_position ? selected="selected" : '' }}><?php esc_html_e('Right', 'super-floating-flying-menu'); ?></option>
                    </select>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Close Button Colors', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-two-column-row">
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Icon Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_close_button_icon_color" value="{{ data.floatFlyData.flymenu.close_button_icon_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Icon Color(Hover)', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_close_button_icon_color_hover" value="{{ data.floatFlyData.flymenu.close_button_icon_color_hover }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Background Color', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_close_button_bg_color" value="{{ data.floatFlyData.flymenu.close_button_bg_color }}">
                            </div>
                        </li>
                        <li class="sffm-color-settings-field">
                            <label><?php esc_html_e('Background Color(Hover)', 'super-floating-flying-menu') ?></label>
                            <div class="sffm-color-input-field">
                                <input type="text" class="background-color-picker" name="flymenu_close_button_bg_color_hover" value="{{ data.floatFlyData.flymenu.close_button_bg_color_hover }}">
                            </div>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Button Offset (px)', 'super-floating-flying-menu') ?></label>
                <div class="sffm-settings-fields">
                    <ul class="sffm-spacing-fields">
                        <li class="sffm-spacing-field">
                            <input type="number" name="flymenu_close_button_offset[top]" value="{{ data.floatFlyData.flymenu.close_button_offset.top }}">
                            <label><?php esc_html_e('Top', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field" style="{{ data.floatFlyData.flymenu.close_button_position == 'left' ? '' : 'display: none' }}" data-condition-toggle="sffm-flymenu-close-button-position" data-condition-val="left">
                            <input type="number" name="flymenu_close_button_offset[left]" value="{{ data.floatFlyData.flymenu.close_button_offset.left }}">
                            <label><?php esc_html_e('Left', 'super-floating-flying-menu') ?></label>
                        </li>
                        <li class="sffm-spacing-field" style="{{ data.floatFlyData.flymenu.close_button_position == 'right' ? '' : 'display: none' }}" data-condition-toggle="sffm-flymenu-close-button-position" data-condition-val="right">
                            <input type="number" name="flymenu_close_button_offset[right]" value="{{ data.floatFlyData.flymenu.close_button_offset.right }}">
                            <label><?php esc_html_e('Right', 'super-floating-flying-menu') ?></label>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Button Size', 'super-floating-flying-menu'); ?></label>
                <div class="sffm-settings-fields">
                    <div class="sffm-range-slider-field">
                        <div class="sffm-range-slider"></div>
                        <input class="sffm-range-input-selector" type="number" min="20" max="100" step="1" value="{{ data.floatFlyData.flymenu.close_button_size }}" name="flymenu_close_button_size"/> px
                    </div>
                </div>
            </div>

            <div class="sffm-settings-row">
                <label><?php esc_html_e('Button Border Radius', 'super-floating-flying-menu'); ?></label>
                <div class="sffm-settings-fields">
                    <div class="sffm-range-slider-field">
                        <div class="sffm-range-slider"></div>
                        <input class="sffm-range-input-selector" type="number" min="0" max="100" step="1" value="{{ data.floatFlyData.flymenu.close_button_border_radius }}" name="flymenu_close_button_border_radius"/> px
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>