<div id="sffm-panel-flyimex" class="sffm-panel-flyimex sffm-panel">
    <div class="sffm-settings-row">
        <label><?php esc_html_e('Import/Export Note', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <p style="margin:0 0 5px;font-weight:bold;"><?php printf(esc_html('You can export the settings and then import it in new menu of the same or different website.', 'super-floating-flying-menu')); ?></p>
            <p style="margin:0;font-weight:bold;"><?php printf(esc_html('And you can also import the prebuilt template with one click using the "Import Prebuild Template" option below.', 'super-floating-flying-menu')); ?></p>
        </div>
    </div>
    <div class="sffm-settings-row">
        <label><?php esc_html_e('Export Settings', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <form method="post">
                <input type="hidden" name="sffm_flymenu_imex_action" value="export_settings" />
                <input type="hidden" name="sffm_flymenu_menu_id" value="{{data.menuId}}" />
                <?php wp_nonce_field('sffm_flymenu_imex_export_nonce', 'sffm_flymenu_imex_export_nonce'); ?>
                <button class="button button-primary" id="sffm_flymenu_export" name="sffm_flymenu_export"><i class='icofont-download'></i> <?php esc_html_e('Download Settings', 'super-floating-flying-menu'); ?></button>
            </form>
        </div>
    </div>

    <div class="sffm-settings-row">
        <label><?php esc_html_e('Import Settings', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <form method="post" enctype="multipart/form-data">
                <div class="sffm-preview-zone hidden">
                    <div class="box box-solid">
                        <div class="box-body"></div>
                        <button type="button" class="button sffm-remove-preview">
                            <i class="icofont-close-circled"></i>
                        </button>
                    </div>
                </div>
                <div class="sffm-dropzone-wrapper">
                    <div class="sffm-dropzone-desc">
                        <i class="icofont-download"></i>
                        <p><?php esc_html_e('Choose an json file or drag it here', 'super-floating-flying-menu'); ?></p>
                    </div>
                    <input type="file" name="sffm_flymenu_import_file" class="sffm-dropzone">
                </div>
                <button class="button button-primary" id="sffm-flymenu-import" type="submit" name="sffm-flymenu-import" value="<?php esc_html_e("Import Template", "super-floating-flying-menu") ?>"><i class='icofont-download'></i> <?php esc_html_e('Import', 'super-floating-flying-menu'); ?></button>
                <input type="hidden" name="sffm_flymenu_imex_action" value="import_settings" />
                <input type="hidden" name="sffm_flymenu_menu_id" value="{{data.menuId}}" />
                <?php wp_nonce_field('sffm_flymenu_imex_import_nonce', 'sffm_flymenu_imex_import_nonce'); ?>
                <p class="sffm-description"><?php esc_html_e('NOTE: Menu Items will imported/exported as a Custom Links. No post/page/category will be imported/exported.', 'super-floating-flying-menu') ?></p>
            </form>
        </div>
    </div>

    <div class="sffm-settings-row">
        <label><?php esc_html_e('Import from Template', 'super-floating-flying-menu') ?></label>
        <div class="sffm-settings-fields">
            <form method="post" class="sffm_import_template_form" onsubmit="return confirm('<?php esc_html_e("Are you sure? It will overwrite the current menu settings.", "super-floating-flying-menu"); ?>');">
                <?php include SFFM_PATH . "admin/inc/import-config.php"; ?>
                <select name="sffm_import_template">
                    <?php
                    foreach ($sffm_templates as $key => $template):
                        if ($template['type'] == "flying"):
                            ?>
                            <option value="<?php echo esc_attr($key); ?>" data-elementor="<?php echo esc_attr($template["require_elementor"]); ?>"><?php echo esc_html($template["name"], "super-floating-flying-menu"); ?></option>
                            <?php
                        endif;
                    endforeach;
                    ?>
                </select>
                <input type="hidden" name="sffm_flymenu_imex_action" value="import_temp_settings" />
                <input type="hidden" name="sffm_flymenu_menu_id" value="{{data.menuId}}" />
                <?php wp_nonce_field("sffm_flymenu_imex_import_temp_nonce", "sffm_flymenu_imex_import_temp_nonce"); ?>
                <button class="button" id="sffm_temp_import" type="submit" name="sffm_temp_import"><span class='egi-icon-download'></span><?php esc_html_e("Import Template", "super-floating-flying-menu") ?></button>
                <a href="https://demo.hashthemes.com/super-floating-and-flying-menu/side-panel-menu-slide-up-down-submenu/" class="button button-primary" target="_blank" id="sffm_temp_view_demo"><span class="egi-icon-laptop"></span><?php esc_html_e("View Demo", "super-floating-flying-menu"); ?> - <span class="sffm-temp-name"><?php echo esc_html("Side Panel Menu – Slide Up/Down Submenu", "super-floating-flying-menu") ?></span></a>
            </form>
            <p class="sffm-description"><?php esc_html_e("Click on 'View Demo' button to check the demo.", "super-floating-flying-menu"); ?></p>
            <div class="sffm-require-elementor-notice sffm-desc sffm-hide">
                <p style="margin: 10px 0 5px; font-weight: bold"><?php esc_html_e("This template requires Elementor plugin.", "super-floating-flying-menu"); ?></p>
                <?php
                if (!file_exists(ABSPATH . 'wp-content/plugins/elementor/elementor.php')) {
                    ?>
                    <a href="#" class="button sffm-install-elementor-plugin"><?php esc_html_e('Install Elementor', 'super-floating-flying-menu') ?></a>
                    <?php
                } elseif (!is_plugin_active('elementor/elementor.php')) {
                    ?>
                    <a href="#" class="button sffm-activate-elementor-plugin"><?php esc_html_e('Activate Elementor', 'super-floating-flying-menu') ?></a>
                    <?php
                }
                ?>
            </div>
        </div>
    </div>
</div>