jQuery(function ($) {
    "use strict";

    // Call all the necessary functions for Icon Picker
    $('body').on('click', '.sffm-icon-box-wrap .sffm-icon-list li', function () {
        var icon_class = $(this).find('i').attr('class');
        $(this).closest('.sffm-icon-box').find('.sffm-icon-list li').removeClass('icon-active');
        $(this).addClass('icon-active');
        $(this).closest('.sffm-icon-box').prev('.sffm-selected-icon').children('i').attr('class', '').addClass(icon_class);
        $(this).closest('.sffm-icon-box').next('input').val(icon_class).trigger('change');
        $(this).closest('.sffm-icon-box').slideUp();
    });

    $('body').on('click', '.sffm-icon-box-wrap .sffm-selected-icon', function () {
        $(this).next().slideToggle();
    });

    $('body').on('change', '.sffm-icon-box-wrap .sffm-icon-search select', function () {
        var $ele = $(this);
        var selected = $(this).val();
        $ele.next('.sffm-icon-search-input').val('');
        $ele.closest('.sffm-icon-box').find('.sffm-icon-list').hide().removeClass('active');
        $ele.closest('.sffm-icon-box').find('.' + selected).fadeIn().addClass('active');
        $ele.parents('.sffm-icon-box').find('.sffm-icon-list.active li').show();
    });

    $('body').on('keyup', '.sffm-icon-search-input', function (e) {
        var $input = $(this);
        var keyword = $input.val().toLowerCase();
        var search_criteria = $input.closest('.sffm-icon-box').find('.sffm-icon-list.active i');
        delay(function () {
            $(search_criteria).each(function () {
                if ($(this).attr('class').indexOf(keyword) > -1) {
                    $(this).parent().show();
                } else {
                    $(this).parent().hide();
                }
            });
        }, 500);
    });

    var delay = (function () {
        var timer = 0;
        return function (callback, ms) {
            clearTimeout(timer);
            timer = setTimeout(callback, ms);
        };
    })();

    function upload_media_image(selector) {

        // ADD IMAGE LINK
        $('body').on('click', selector, function (event) {
            event.preventDefault();

            var imgContainer = $(this).closest('.sffm-image-uploader').find('.sffm-image-thumbnail'),
                placeholder = $(this).closest('.sffm-image-uploader').find('.sffm-image-placeholder'),
                imgIdInput = $(this).closest('.sffm-image-uploader').find('.sffm-upload-input');

            // Create a new media frame
            var frame = wp.media({
                title: 'Select or Upload Image',
                button: {
                    text: 'Use Image'
                },
                multiple: false // Set to true to allow multiple files to be selected
            });

            // When an image is selected in the media frame...
            frame.on('select', function () {

                // Get media attachment details from the frame state
                var attachment = frame.state().get('selection').first().toJSON();

                // Send the attachment URL to our custom image input field.
                imgContainer.html('<img src="' + attachment.url + '" style="max-width:100%;"/>');
                placeholder.addClass('sffm-hidden');
                imgContainer.removeClass('sffm-hidden');
                imgIdInput.val(attachment.url).trigger('change');
            });

            // Finally, open the modal on click
            frame.open();

        });
    }

    function delete_media_image(selector) {
        // DELETE IMAGE LINK
        $('body').on('click', selector, function (event) {

            event.preventDefault();
            var imgContainer = $(this).closest('.sffm-image-uploader').find('.sffm-image-thumbnail'),
                placeholder = $(this).closest('.sffm-image-uploader').find('.sffm-image-placeholder'),
                imgIdInput = $(this).closest('.sffm-image-uploader').find('.sffm-upload-input');

            // Clear out the preview image
            imgContainer.find('img').remove();
            placeholder.removeClass('sffm-hidden');
            imgContainer.addClass('sffm-hidden');
            // Delete the image id from the hidden input
            imgIdInput.val('').trigger('change');

        });
    }

    /* Custom Image Upload */
    $('body').on('click', '.sffm-image-upload', function (e) {
        e.preventDefault();
        var $this = $(this);
        $this.closest('.sffm-icon-image-uploader').find('.sffm-custom-menu-image-icon').html('');
        var image = wp.media({
            title: 'Upload Image',
            multiple: false
        }).open().on('select', function () {
            var uploaded_image = image.state().get('selection').first();
            var image_url = uploaded_image.toJSON().url;

            $this.closest('.sffm-icon-image-uploader').find('.sffm-upload-background-url').val(image_url);
            $this.closest('.sffm-icon-image-uploader').find('.sffm-custom-menu-image-icon').append('<img src="' + image_url + '"/>');
            if ($this.closest('.sffm-icon-image-uploader').find('.sffm-upload-background-url').val(image_url) !== '') {
                $this.closest('.sffm-icon-image-uploader').find('.sffm-custom-menu-image-icon').show();
            } else {
                $this.closest('.sffm-icon-image-uploader').find('.sffm-custom-menu-image-icon').hide();
            }
        });
    });

    /* Remove Uploaded Custom Image */
    $('body').on('click', '.sffm-image-remove', function () {
        $(this).closest('.sffm-icon-image-uploader').find('.sffm-custom-menu-image-icon').html('');
        $(this).closest('.sffm-icon-image-uploader').find('.sffm-upload-background-url').val('');
    });

    /* Remove Social Icon Main Div */
    $(document).on('click', '.sffm-custom-socialicon-remove', function () {
        $(this).closest('.sffm-social-icon-list').fadeOut(function () {
            $(this).remove();
        });
        return false;
    });

    // Change the image on template select (Reusable function)
    $('body').on('change', '.sffm-select-image-display', function () {
        var imgpath = $(this).find('option:selected').data('imgpath');
        $(this).parent().find('img').attr('src', imgpath);
    });

    //Toggle Social Icon repeater
    $('body').on('click', '.sffm-social-icon-list h4 > span', function () {
        $(this).closest('.sffm-social-icon-list').find('.sffm-social-icon-list-wrap').slideToggle();
    });

    /* Change the template image for flymenu template */
    $('body').on('change', '.sffm-image-selector', function () {
        var selected_template = $(this).find('option:selected').data('img');
        var img_path = sffmMenuData.admin_img_dir;

        switch (selected_template) {

            case 'fullscreen_template_1':
                $(this).siblings('.sffm-image-preview-wrap').find('.sffm-template-image img').attr('src', img_path + 'fullscreen-template-1.png');
                break;

            case 'fullscreen_template_2':
                $(this).siblings('.sffm-image-preview-wrap').find('.sffm-template-image img').attr('src', img_path + 'fullscreen-template-2.png');
                break;

            case 'fullscreen_template_3':
                $(this).siblings('.sffm-image-preview-wrap').find('.sffm-template-image img').attr('src', img_path + 'fullscreen-template-3.png');
                break;

            case 'skew_template_1':
                $(this).siblings('.sffm-image-preview-wrap').find('.sffm-template-image img').attr('src', img_path + 'skew-template-1.png');
                break;

            case 'skew_template_2':
                $(this).siblings('.sffm-image-preview-wrap').find('.sffm-template-image img').attr('src', img_path + 'skew-template-2.png');
                break;
        }
    });

    upload_media_image('.sffm-media-upload-btn, .sffm-image-placeholder ');
    delete_media_image('.sffm-media-delete-btn');

    /* Disable click on "Enable Super Menu" until menu is not created */
    $('body').on('click', '.metabox-holder-disabled #sffm_select_menu', function (e) {
        e.preventDefault();
        e.stopPropagation();
        return fasle;
    });
});