<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://hashthemes.com/
 * @since      1.0.0
 *
 * @package    Super_Floating_Flying_Menu
 * @subpackage Super_Floating_Flying_Menu/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Super_Floating_Flying_Menu
 * @subpackage Super_Floating_Flying_Menu/includes
 * @author     Hash Themes 
 */
class Super_Floating_Flying_Menu_i18n {

    /**
     * Load the plugin text domain for translation.
     *
     * @since    1.0.0
     */
    public function load_plugin_textdomain() {

        load_plugin_textdomain(
            'super-floating-flying-menu', false, dirname(dirname(plugin_basename(__FILE__))) . '/languages/'
        );
    }

}
