<?php
defined('ABSPATH') or die();
include SFFM_PATH . 'public/walkers/sffm-floatingmenu-walker-class.php';
include SFFM_PATH . 'public/walkers/sffm-navindicator-walker-class.php';
/*
 * Super Floating Menu Walker Class
 */

$default_settings = SFFM_Admin_Templates::default_flyfloat_settings();
$custom_settings = sffm_recurse_parse_args($sffm_setting, $default_settings);
$floatmenu_settings = $custom_settings['floatmenu'];

$menuid = $sffm_setting['menu_id'];
$floatmenu_template = $floatmenu_settings['template'];
$floatmenu_specific_pages = $floatmenu_settings['specific_pages'];
$floatmenu_specific_archive = $floatmenu_settings['specific_archive'];
$display_condition = $floatmenu_settings['display_condition'];
$cpt_pages = $floatmenu_settings['cpt_pages'];
$blog_pages = $floatmenu_settings['blog_pages'];
$front_pages = $floatmenu_settings['front_pages'];
$error_pages = $floatmenu_settings['error_pages'];
$search_pages = $floatmenu_settings['search_pages'];
$archive_pages = $floatmenu_settings['archive_pages'];
$hide_screen = $floatmenu_settings['hide_screen'];
$polylang_display_condition = $floatmenu_settings['polylang_display_condition'];
$polylang_show_hide_languages = $floatmenu_settings['polylang_show_hide_languages'];
$floatmenu_tab_shape = $floatmenu_animation = $floatmenu_style = $floatmenu_range = $floatmenu_startang = $floatmenu_radius = $floatmenu_circular = $floatmenu_show_class = '';

$show = $this->display_condition($floatmenu_specific_pages, $display_condition, $front_pages, $blog_pages, $cpt_pages, $error_pages, $search_pages, $archive_pages, $floatmenu_specific_archive);
$showforpolylang = $this->display_polylang_condition($polylang_display_condition, $polylang_show_hide_languages);

// Hide the fly menu if false
if (!$show || !$showforpolylang) {
    return;
}

/* Template Settings */
$temp_1_position = $floatmenu_settings['temp_1_position'];
$temp_1_orientation = $floatmenu_settings['temp_1_orientation'];
$temp_1_tab_shape = $floatmenu_settings['temp_1_tab_shape'];
$temp_56_tab_shape = $floatmenu_settings['temp_56_tab_shape'];

$temp_7_position = $floatmenu_settings['temp_7_position'];
$temp_8_position = $floatmenu_settings['temp_8_position'];

$temp_9_position = $floatmenu_settings['temp_9_position'];
$temp_9_orientation = $floatmenu_settings['temp_9_orientation'];

$temp_10_position = $floatmenu_settings['temp_10_position'];

$temp_11_position = $floatmenu_settings['temp_11_position'];
$temp_11_radius = $floatmenu_settings['temp_11_radius'];

$temp_12_position = $floatmenu_settings['temp_12_position'];
$temp_12_radius = $floatmenu_settings['temp_12_radius'];

$temp_13_position = $floatmenu_settings['temp_13_position'];
$temp_13_radius = $floatmenu_settings['temp_13_radius'];

$temp_14_position = $floatmenu_settings['temp_14_position'];
$temp_14_animation = $floatmenu_settings['temp_14_animation'];
$temp_14_scroll_top_offset = $floatmenu_settings['temp_14_scroll_top_offset'];

$temp_style = $floatmenu_settings['temp_style'];
$temp_animation = $floatmenu_settings['animation'];
$icon_type = $floatmenu_settings['icon_type'];
$tab_default_open_icon = $floatmenu_settings['tab_default_icon'];
$tab_custom_open_icon = $floatmenu_settings['tab_custom_icon'];
$tab_default_close_icon = $floatmenu_settings['tab_default_close_icon'];
$tab_custom_close_icon = $floatmenu_settings['tab_custom_close_icon'];
$open_item_on = $floatmenu_settings['open_item_on'];
$open_items_on_load = $floatmenu_settings['open_items_on_load'];

if ($icon_type == 'default_icon') {
    $tab_default_open_icon = $tab_default_open_icon;
    $tab_default_close_icon = $tab_default_close_icon;
} elseif ($icon_type == 'custom_icon') {
    $tab_custom_open_icon = $tab_custom_open_icon;
    $tab_custom_close_icon = $tab_custom_close_icon;
}

switch ($floatmenu_template) {
    case 'floatmenu-template-1':
        $floatmenu_position = $temp_1_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = $temp_1_orientation;
        break;

    case 'floatmenu-template-2':
        $floatmenu_position = $temp_1_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = $temp_1_orientation;
        break;

    case 'floatmenu-template-3':
        $floatmenu_position = $temp_1_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = $temp_1_orientation;
        break;

    case 'floatmenu-template-4':
        $floatmenu_position = $temp_1_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = $temp_1_orientation;
        break;

    case 'floatmenu-template-5':
        $floatmenu_position = $temp_1_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = $temp_1_orientation;
        break;

    case 'floatmenu-template-6':
        $floatmenu_position = $temp_1_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = $temp_1_orientation;
        break;

    case 'floatmenu-template-7':
        $floatmenu_position = $temp_7_position;
        $floatmenu_tab_shape = $temp_56_tab_shape;
        $floatmenu_orientation = 'vertical';
        break;

    case 'floatmenu-template-8':
        $floatmenu_position = $temp_8_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = 'vertical';
        $floatmenu_animation = $temp_animation;
        break;

    case 'floatmenu-template-9':
        $floatmenu_position = $temp_9_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = $temp_9_orientation;
        $floatmenu_animation = $temp_animation;
        break;

    case 'floatmenu-template-10':
        $floatmenu_position = $temp_10_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = 'no';
        $floatmenu_animation = $temp_animation;
        break;

    case 'floatmenu-template-11':
        $floatmenu_position = $temp_11_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = 'no';
        $floatmenu_range = 90;
        if ($floatmenu_position == 'bottom-left') {
            if (!is_rtl()) {
                $floatmenu_startang = -90;
            } else {
                $floatmenu_startang = 180;
            }
        } elseif ($floatmenu_position == 'bottom-right') {
            if (!is_rtl()) {
                $floatmenu_startang = 180;
            } else {
                $floatmenu_startang = -90;
            }
        } elseif ($floatmenu_position == 'top-left') {
            if (!is_rtl()) {
                $floatmenu_startang = -360;
            } else {
                $floatmenu_startang = 90;
            }
        } elseif ($floatmenu_position == 'top-right') {
            if (!is_rtl()) {
                $floatmenu_startang = 90;
            } else {
                $floatmenu_startang = -360;
            }
        }
        $floatmenu_radius = $temp_11_radius;
        $floatmenu_animation = $temp_animation;
        $floatmenu_style = $temp_style;
        $floatmenu_circular = 'yes';
        break;

    case 'floatmenu-template-12':
        $floatmenu_position = $temp_12_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = 'no';
        $floatmenu_range = 180;
        if ($floatmenu_position == 'top-middle') {
            $floatmenu_startang = -360;
        } elseif ($floatmenu_position == 'bottom-middle') {
            $floatmenu_startang = 180;
        } elseif ($floatmenu_position == 'middle-left') {
            if (!is_rtl()) {
                $floatmenu_startang = -90;
            } else {
                $floatmenu_startang = 90;
            }
        } elseif ($floatmenu_position == 'middle-right') {
            if (!is_rtl()) {
                $floatmenu_startang = 90;
            } else {
                $floatmenu_startang = -90;
            }
        }
        $floatmenu_radius = $temp_12_radius;
        $floatmenu_animation = $temp_animation;
        $floatmenu_style = $temp_style;
        $floatmenu_circular = 'yes';
        break;

    case 'floatmenu-template-13':
        $floatmenu_position = $temp_13_position;
        $floatmenu_tab_shape = $temp_1_tab_shape;
        $floatmenu_orientation = 'no';
        $floatmenu_range = 360;
        $floatmenu_radius = $temp_13_radius;
        $floatmenu_startang = -90;
        $floatmenu_animation = $temp_animation;
        $floatmenu_style = $temp_style;
        $floatmenu_circular = 'yes';
        break;

    case 'floatmenu-template-14':
        $floatmenu_position = $temp_14_position;
        $floatmenu_animation = $temp_14_animation;
        $floatmenu_orientation = 'no';
        break;

    default:
        break;
}

if (($floatmenu_position == 'top-middle' || $floatmenu_position == 'bottom-middle') && $floatmenu_orientation != 'no') {
    $floatmenu_orientation = 'horizontal';
} elseif (($floatmenu_position == 'middle-left' || $floatmenu_position == 'middle-right') && $floatmenu_orientation != 'no') {
    $floatmenu_orientation = 'vertical';
}

$sffm_container_class = array(
    'sffm-floatmenu-wrapper',
    'sffm-floatmenu-wrapper-' . $menuid,
    'sffm-' . $floatmenu_template,
    'sffm-position-' . $floatmenu_position,
    $floatmenu_orientation ? 'sffm-orientation-' . $floatmenu_orientation : '',
    $floatmenu_tab_shape ? 'sffm-shape-' . $floatmenu_tab_shape : '',
    $floatmenu_animation ? 'sffm-' . $floatmenu_animation : '',
    $floatmenu_style ? 'sffm-' . $floatmenu_style : '',
    $floatmenu_circular ? 'sffm-circular-' . $floatmenu_circular : '',
    $hide_screen ? 'sffm-hide-' . implode(' sffm-hide-', $hide_screen) : '',
    'sffm-open-on-' . $open_item_on
);

if (in_array($floatmenu_position, ['top-left', 'middle-left', 'bottom-left'])) {
    $sffm_container_class[] = 'sffm-left-side';
} elseif (in_array($floatmenu_position, ['top-right', 'middle-right', 'bottom-right'])) {
    $sffm_container_class[] = 'sffm-right-side';
}

if (in_array($floatmenu_position, ['top-left', 'top-middle', 'top-right'])) {
    $sffm_container_class[] = 'sffm-top-side';
} elseif (in_array($floatmenu_position, ['bottom-left', 'bottom-middle', 'bottom-right'])) {
    $sffm_container_class[] = 'sffm-bottom-side';
}

if (in_array($floatmenu_template, ['floatmenu-template-8', 'floatmenu-template-9', 'floatmenu-template-10', 'floatmenu-template-11', 'floatmenu-template-12', 'floatmenu-template-13'])) {
    if ($open_items_on_load == 'on') {
        $floatmenu_show_class = 'sffm-floatmenu-show';
    } else {
        $floatmenu_show_class = 'sffm-floatmenu-hide';
    }
}
?>

<div class="<?php echo implode(' ', array_filter($sffm_container_class)) ?>">
    <?php
    $new_menu_data_attr = array();
    $menu_object = wp_get_nav_menu_object($menuid);
    if (!empty($menu_object)) {
        $menu_slug = $menu_object->slug;
        $menu_id = $menu_object->term_id;
        $menu_item_count = sffm_count_nav_parent_items($menuid);
        $sffm_menu_class = array(
            'sffm-floatmenu',
            'sffm-' . $menu_slug . '-container',
            $floatmenu_show_class
        );

        $menu_data_attr = array(
            'data-startang' => $floatmenu_startang,
            'data-range' => $floatmenu_range,
            'data-radius' => $floatmenu_radius,
            'data-number' => $menu_item_count
        );

        foreach ($menu_data_attr as $data => $value) {
            if ($value) {
                $new_menu_data_attr[] = $data . '="' . $value . '"';
            }
        }
        ?>

        <div class="<?php echo implode(' ', array_filter($sffm_menu_class)) ?>" <?php echo implode(' ', array_filter($new_menu_data_attr)) ?>>
            <?php
            $trigger_btn = $placeholder_nav = '';
            if (!in_array($floatmenu_template, array('floatmenu-template-1', 'floatmenu-template-2', 'floatmenu-template-3', 'floatmenu-template-4', 'floatmenu-template-5', 'floatmenu-template-6', 'floatmenu-template-7'))) {
                $hover_class = $floatmenu_settings['trigger_btn_hvr_animation'] != 'none' ? ' ' . $floatmenu_settings['trigger_btn_hvr_animation'] : '';
                $idle_animation_classes = $floatmenu_settings['trigger_btn_idle_animation'] != 'none' ? ' animate--slow animate--infinite animate--animated ' . $floatmenu_settings['trigger_btn_idle_animation'] : '';
                $toggle_button_class = $floatmenu_settings['hamburger_icon_type'];
                $trigger_btn .= '<div class="sffm-floatmenu-trigger-idle-animation' . esc_attr($idle_animation_classes) . '">';
                $trigger_btn .= '<div class="sffm-floatmenu-trigger-hover-animation' . esc_attr($hover_class) . '">';
                $trigger_btn .= '<div class="sffm-floatmenu-trigger">';
                if ($icon_type == 'default_icon') {
                    $trigger_btn .= '<i class="sffm-floatmenu-toggle-open-icon ' . esc_attr($tab_default_open_icon) . '"></i>';
                    $trigger_btn .= '<i class="sffm-floatmenu-toggle-close-icon ' . esc_attr($tab_default_close_icon) . '"></i>';
                } elseif ($icon_type == 'custom_icon') {
                    $trigger_btn .= '<img src="' . esc_url($tab_custom_open_icon) . '" class="sffm-floatmenu-toggle-open-icon"' . Super_Floating_Flying_Menu_Public::get_image_alt_by_url($tab_custom_open_icon) . '>';
                    $trigger_btn .= '<img src="' . esc_url($tab_custom_close_icon) . '" class="sffm-floatmenu-toggle-close-icon"' . Super_Floating_Flying_Menu_Public::get_image_alt_by_url($tab_custom_close_icon) . '>';
                } elseif ($icon_type == 'hamburger_icon') {
                    $trigger_btn .= '<div class="sffm-toggle-button ' . $toggle_button_class . '"></div>';
                }
                $trigger_btn .= '</div>';
                $trigger_btn .= '</div>';
                $trigger_btn .= '</div>';
            }

            if ($floatmenu_template == 'floatmenu-template-10' || ($floatmenu_template == 'floatmenu-template-9' && in_array($floatmenu_position, ['top-middle', 'bottom-middle', 'middle-left', 'middle-right']))) {
                $placeholder_nav = '<li class="sffm-menu-no-0"><a href="#">o</a></li>';
            }

            if (in_array($floatmenu_template, ['floatmenu-template-11', 'floatmenu-template-12', 'floatmenu-template-13', 'floatmenu-template-14'])) {
                $trigger_btn .= '<div class="sffm-circular-placeholder"></div>';
            }

            if ($floatmenu_template == 'floatmenu-template-14') {
                $args = array(
                    'menu' => esc_attr($menuid),
                    'container' => 'div',
                    'container_class' => 'sffm-floatmenu-inner-wrap',
                    'container_id' => 'sffm-menuid-' . esc_attr($menuid),
                    'menu_id' => 'sffm-' . esc_attr($menu_slug),
                    'menu_class' => 'sffm-nav-menu',
                    'echo' => true,
                    'fallback_cb' => false,
                    'before' => '',
                    'after' => '',
                    'link_before' => '',
                    'link_after' => '',
                    'items_wrap' => '<ul data-offset="' . $temp_14_scroll_top_offset . '" id="%1$s" class="%2$s">%3$s</ul>',
                    'depth' => 1,
                    'walker' => new SFFM_Navindicator_Walker_Class()
                );
            } else {
                $args = array(
                    'menu' => esc_attr($menuid),
                    'container' => 'div',
                    'container_class' => 'sffm-floatmenu-inner-wrap',
                    'container_id' => 'sffm-menuid-' . esc_attr($menuid),
                    'menu_id' => 'sffm-' . esc_attr($menu_slug),
                    'menu_class' => 'sffm-menu',
                    'echo' => true,
                    'fallback_cb' => false,
                    'before' => '',
                    'after' => '',
                    'link_before' => '',
                    'link_after' => '',
                    'items_wrap' => $trigger_btn . '<ul data-offset="' . $temp_14_scroll_top_offset . '" id="%1$s" class="%2$s">' . $placeholder_nav . '%3$s</ul>',
                    'depth' => 1,
                    'walker' => new SFFM_Floatingmenu_Walker_Class()
                );
            }

            wp_nav_menu($args);

            /* Custom CSS Settings */
            include(SFFM_PATH . 'public/floating-menu/sffm-floatmenu-custom-css.php');
            ?>
            <svg style="display: none" xmlns="http://www.w3.org/2000/svg" version="1.1">
                <defs>
                    <filter id="sffm-shadowed-goo">
                        <feGaussianBlur in="SourceGraphic" result="blur" stdDeviation="10" />
                        <feColorMatrix in="blur" mode="matrix" values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 18 -7" result="goo" />
                        <feGaussianBlur in="goo" stdDeviation="3" result="shadow" />
                        <feColorMatrix in="shadow" mode="matrix" values="0 0 0 0 0  0 0 0 0 0  0 0 0 0 0  0 0 0 1 -0.2" result="shadow" />
                        <feOffset in="shadow" dx="1" dy="1" result="shadow" />
                        <feBlend in2="shadow" in="goo" result="goo" />
                        <feBlend in2="goo" in="SourceGraphic" result="mix" />
                    </filter>
                    <filter id="sffm-goo">
                        <feGaussianBlur in="SourceGraphic" result="blur" stdDeviation="10" />
                        <feColorMatrix in="blur" mode="matrix" values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 18 -7" result="goo" />
                        <feBlend in2="goo" in="SourceGraphic" result="mix" />
                    </filter>
                </defs>
            </svg>
        </div>
        <?php
    }
    ?>
</div>