<?php
defined('ABSPATH') or die();

/*
 * Super Fly Menu Walker Class
 */

if (did_action('elementor/loaded') && \Elementor\Plugin::$instance->preview->is_preview_mode()) {
    return;
}

$default_settings = SFFM_Admin_Templates::default_flyfloat_settings();
$custom_settings = sffm_recurse_parse_args($sffm_setting, $default_settings);
$flymenu_settings = $custom_settings['flymenu'];

$menuid = $sffm_setting['menu_id'];

if ($flymenu_settings) {
    $flymenu_layout = $flymenu_settings['flymenu_layout'];
    $sffm_specific_pages = $flymenu_settings['specific_pages'];
    $sffm_specific_archive = $flymenu_settings['specific_archive'];
    $display_condition = $flymenu_settings['display_condition'];
    $front_pages = $flymenu_settings['front_pages'];
    $blog_pages = $flymenu_settings['blog_pages'];
    $cpt_pages = $flymenu_settings['cpt_pages'];
    $error_pages = $flymenu_settings['error_pages'];
    $search_pages = $flymenu_settings['search_pages'];
    $archive_pages = $flymenu_settings['archive_pages'];
    $hide_screen = $flymenu_settings['hide_screen'];
    $polylang_display_condition = $flymenu_settings['polylang_display_condition'];
    $polylang_show_hide_languages = $flymenu_settings['polylang_show_hide_languages'];

    $show = $this->display_condition($sffm_specific_pages, $display_condition, $front_pages, $blog_pages, $cpt_pages, $error_pages, $search_pages, $archive_pages, $sffm_specific_archive);
    $showforpolylang = $this->display_polylang_condition($polylang_display_condition, $polylang_show_hide_languages);

    // Hide the fly menu if false
    if (!$show || !$showforpolylang) {
        return;
    }

    $content_alignment = $flymenu_settings['content_alignment'];
    $header_text_option = $flymenu_settings['header_text_option'];
    $custom_header_text = apply_filters('sffm_translate_string', $flymenu_settings['custom_header_text'], 'Super Floating and Flying Menu', 'Menu Custom Header Text');
    $custom_tagline_text = apply_filters('sffm_translate_string', $flymenu_settings['custom_tagline_text'], 'Super Floating and Flying Menu', 'Menu Custom Tagline Text');
    $header_img_option = $flymenu_settings['header_img_option'];
    $custom_header_image = $flymenu_settings['custom_header_image'];
    $header_custom_content = apply_filters('sffm_translate_string', $flymenu_settings['header_custom_content'], 'Super Floating and Flying Menu', 'Menu Header Custom Content');
    $footer_custom_content = apply_filters('sffm_translate_string', $flymenu_settings['footer_custom_content'], 'Super Floating and Flying Menu', 'Menu Footer Custom Content');
    $header_content_alignment = $flymenu_settings['header_content_alignment'];
    $footer_content_alignment = $flymenu_settings['footer_content_alignment'];
    $body_content_alignment = $flymenu_settings['body_content_alignment'];
    $menu_animation = $flymenu_settings['menu_animation'];
    $menu_hover_animation = $flymenu_settings['menu_hover_animation'];

    $custom_display_content_from = $flymenu_settings['custom_display_content_from'];
    $panel_width_css = $data_property_attr = $fly_wrapper_attributes_list = '';
    $panel_animation = $flymenu_settings['panel_animation'];
    $panel_position = $flymenu_settings['panel_position'];
    $show_animation = $flymenu_settings['panel_show_animation'];
    $hide_animation = $flymenu_settings['panel_hide_animation'];
    $panel_width = $flymenu_settings['panel_width'];
    $panel_width_unit = $flymenu_settings['panel_width_unit'];
    $panel_background_type = $flymenu_settings['panel_background_type'];
    $panel_video_url = $flymenu_settings['panel_video_url'];
    $panel_video_background_image = $flymenu_settings['panel_video_background_image'];

    $overlay_type = $flymenu_settings['overlay_type'];
    $auto_close_panel = $flymenu_settings['auto_close_panel'];
    $social_link_new_tab = $flymenu_settings['social_link_new_tab'];
    $parent_menu_clickable = $flymenu_settings['parent_menu_clickable'];
    $freeze_scrollbar = $flymenu_settings['freeze_scrollbar'];
    $panel_show_scrollbar = $flymenu_settings['panel_show_scrollbar'];
    $fullscreen_panel_animation = $flymenu_settings['fullscreen_panel_animation'];

    /* Search Form Section */
    $searchform_area = $flymenu_settings['searchform_area'];
    $searchform_placeholder = apply_filters('sffm_translate_string', $flymenu_settings['searchform_placeholder'], 'Super Floating and Flying Menu', 'Menu Search Form Placeholder');

    $close_button_position = $flymenu_settings['close_button_position'];

    /* Social Icon Option */
    $social_icons_area = $flymenu_settings['social_icons_area'];
    $social_icon = $flymenu_settings['social_icon'];
    unset($social_icon[0]);
    $social_icons_shape = $flymenu_settings['social_icons_shape'];

    if ($panel_background_type == 'video' && !empty($panel_video_url)) {
        $data_property = "{
             videoURL:'{$panel_video_url}',
             mobileFallbackImage: '{$panel_video_background_image}',
             containment:'.sffm-video-bg-wrap',
             showControls: false, 
             loop:true, 
             opacity:1, 
             mute: true,
             ratio: 'auto',
             useNoCookie : true,
             anchor: 'center,center',
             opacity:1
             }";

        $data_property_attr = ' data-property="' . $data_property . '"';
    }

    $fly_wrapper_attributes = array(
        'class' => array(
            'sffm-flymenu-wrapper',
            'sffm-flymenu-wrapper-' . $menuid,
            'sffm-layout-' . $flymenu_layout,
            ($flymenu_layout == 'side-menu' || $flymenu_layout == 'skew-side-menu' || $flymenu_layout == 'fullscreen-menu') ? 'sffm-flymenu-v-align-' . $content_alignment : '',
            ($flymenu_layout == 'side-menu' || $flymenu_layout == 'skew-side-menu' || $flymenu_layout == 'icon-menu') ? 'sffm-flymenu-pos-' . $panel_position : '',
            ($flymenu_layout == 'side-menu' || $flymenu_layout == 'skew-side-menu' || $flymenu_layout == 'icon-menu') ? 'sffm-overlay-' . $overlay_type : '',
            ($flymenu_layout == 'fullscreen-menu') ? 'sffm-fullscreen-anim-' . $fullscreen_panel_animation : '',
            'sffm-bg-' . $panel_background_type,
            'sffm-scrollbar-' . $panel_show_scrollbar,
            $hide_screen ? 'sffm-hide-' . implode(' sffm-hide-', $hide_screen) : '',
            $freeze_scrollbar == 'on' || $flymenu_layout == 'fullscreen-menu' ? 'sffm-freeze' : '',
            $flymenu_layout != 'fullscreen-menu' && $auto_close_panel == 'on' ? 'sffm-click-outside-on' : '',
            'sffm-' . $custom_display_content_from,
            'sffm-flymenu-hide',
            $parent_menu_clickable == 'on' ? 'sffm-parent-menu-click-enable' : ''
        )
    );

    if (($flymenu_layout == 'side-menu' || $flymenu_layout == 'skew-side-menu') && $panel_animation == 'custom') {
        $fly_wrapper_attributes['class'][] = 'sffm-panel-animation-enabled';
        $fly_wrapper_attributes['data-showanimation'][] = 'animate--' . esc_attr($show_animation);
        $fly_wrapper_attributes['data-hideanimation'][] = 'animate--' . esc_attr($hide_animation);
    }

    if (($flymenu_layout == 'side-menu' || $flymenu_layout == 'skew-side-menu' || $flymenu_layout == 'icon-menu') && !empty($panel_width)) {
        $panel_width_css = ' style="width:' . intval($panel_width) . $panel_width_unit . '"';
    }

    foreach ($fly_wrapper_attributes as $attr => $value) {
        $fly_wrapper_attributes_list .= $attr . '= "' . implode(' ', array_filter($value)) . '" ';
    }
    ?>
    <div <?php echo $fly_wrapper_attributes_list; ?>>
        <?php
        switch ($flymenu_layout) {
            case 'side-menu':
                include SFFM_PATH . 'public/fly-menu/flymenu-layout/side-menu.php';
                break;

            case 'skew-side-menu':
                include SFFM_PATH . 'public/fly-menu/flymenu-layout/side-menu.php';
                break;

            case 'fullscreen-menu':
                include SFFM_PATH . 'public/fly-menu/flymenu-layout/full-screen-menu.php';
                break;

            case 'icon-menu':
                include SFFM_PATH . 'public/fly-menu/flymenu-layout/icon-menu.php';
                break;

            default:
                break;
        }
        /* Custom CSS Settings */
        include(SFFM_PATH . 'public/fly-menu/inc/sffm-flymenu-custom-css.php');
        ?>
    </div>
    <?php
}