<?php
include SFFM_PATH . 'public/walkers/sffm-icon-menu-walker-class.php';

if ($auto_close_panel != 'none') {
    echo '<div class="sffm-overlay"></div>';
}

$side_menu_class = '';
$submenu_animation = $flymenu_settings['icon_menu_submenu_animation'];
$open_panel_on = $flymenu_settings['toggle_button']['open_panel_on'];

if (in_array($submenu_animation, ['flip', 'translate-x', 'zoom-out', 'zoom-in', 'translate-y'])) {
    $side_menu_class = 'sffm-submenu-animate';
}

$panel_classes = array(
    'sffm-flymenu-panel',
    'sffm-icon-menu',
    'sffm-open-panel-on-' . $open_panel_on,
    'sffm-submenu-' . $submenu_animation,
    $side_menu_class,
    'sffm-menu-' . $menu_animation,
    'sffm-hover-' . $menu_hover_animation
);
?>
<div id="sffm-flymenu-panel-<?php echo esc_attr($menuid); ?>" class="<?php esc_attr_e(implode(' ', array_filter($panel_classes))); ?>" <?php echo $panel_width_css; ?>>
    <?php
    $social_trigger_btn = '';
    $flymenu_toggle_button_settings = $flymenu_settings['toggle_button'];
    $icon_type = $flymenu_toggle_button_settings['iconmenu_icon_type'];
    $open_icon = $flymenu_toggle_button_settings['iconmenu_open_icon'];
    $close_icon = $flymenu_toggle_button_settings['iconmenu_close_icon'];
    $custom_open_icon = $flymenu_toggle_button_settings['iconmenu_custom_open_icon'];
    $custom_close_icon = $flymenu_toggle_button_settings['iconmenu_custom_close_icon'];
    $toggle_button_class = $flymenu_toggle_button_settings['iconmenu_hamburger_icon_type'];
    $trigger_class = $open_panel_on == 'click' ? 'sffm-flymenu-trigger' : 'sffm-flymenu-trigger-btn';

    $social_trigger_btn .= '<div class="sffm-flymenu-trigger-wrap">';
    $social_trigger_btn .= $open_panel_on == 'hover' ? '<div class="sffm-flymenu-trigger" style="display:none"></div>' : '';
    $social_trigger_btn .= '<div class="' . $trigger_class . '">';
    if ($icon_type == 'default_icon') {
        $social_trigger_btn .= '<i class="sffm-flymenu-trigger-open-icon ' . esc_attr($open_icon) . '"></i>';
        $social_trigger_btn .= '<i class="sffm-flymenu-trigger-close-icon ' . esc_attr($close_icon) . '"></i>';
    } elseif ($icon_type == 'custom_icon') {
        $social_trigger_btn .= '<img src="' . esc_url($custom_open_icon) . '" class="sffm-flymenu-trigger-open-icon"' . Super_Floating_Flying_Menu_Public::get_image_alt_by_url($custom_open_icon) . '>';
        $social_trigger_btn .= '<img src="' . esc_url($custom_close_icon) . '" class="sffm-flymenu-trigger-close-icon"' . Super_Floating_Flying_Menu_Public::get_image_alt_by_url($custom_close_icon) . '>';
    } elseif ($icon_type == 'hamburger_icon') {
        $social_trigger_btn .= '<div class="sffm-toggle-button ' . $toggle_button_class . '"></div>';
    }
    $social_trigger_btn .= '</div>';
    $social_trigger_btn .= '</div>';

    if ($panel_background_type == 'video' && !empty($panel_video_url)) {
        wp_enqueue_script('sffm-jquery-mb-YTPlayer');
        echo '<div class="sffm-video-bg-wrap"></div>';
        echo '<div class="sffm-video-bg-container"' . $data_property_attr . '></div>';
    }
    ?>
    <div class="sffm-flymenu-panel-scroller">
        <div class="sffm-flymenu-panel-content">
            <?php
            echo $social_trigger_btn;
            include SFFM_PATH . 'public/fly-menu/inc/header.php';
            ?>
            <div class="sffm-flymenu-body">
                <?php
                $menu_object = wp_get_nav_menu_object($menuid);
                if (!empty($menu_object)) {
                    $menu_slug = $menu_object->slug;
                    $args = array(
                        'menu' => esc_attr($menuid),
                        'container' => 'div',
                        'container_class' => 'sffm-menu-container sffm-menu-' . esc_attr($menu_slug) . '-container',
                        'container_id' => 'sffm-menuid-' . esc_attr($menuid),
                        'menu_id' => 'sffm-menu-' . esc_attr($menu_slug),
                        'menu_class' => 'sffm-menu',
                        'echo' => true,
                        'fallback_cb' => false,
                        'walker' => new SFFM_Nav_Icon_Walker_Class()
                    );
                    wp_nav_menu($args);
                }

                if (($social_icons_area == 'header' || $social_icons_area == 'footer') && !empty($social_icon)) {
                    ?>
                    <ul class="sffm-social-icons sffm-iconmenu-social-icons <?php echo 'sffm-social-icons-shape-' . $social_icons_shape ?>">
                        <?php
                        foreach ($social_icon as $key => $value) {
                            ?>
                            <li>
                                <a href="<?php echo esc_url($value['url']); ?>">
                                    <span class="<?php echo esc_attr($value['icon']); ?>"></span>
                                </a>
                            </li>
                            <?php
                        }
                        ?>
                    </ul>
                    <?php
                }
                ?>
            </div>
            <?php
            include SFFM_PATH . 'public/fly-menu/inc/footer.php';
            ?>
        </div>
    </div>
</div>