<?php
include SFFM_PATH . 'public/walkers/sffm-flymenu-walker-class.php';

if ($auto_close_panel != 'none') {
    echo '<div class="sffm-overlay"></div>';
}

include SFFM_PATH . 'public/fly-menu/inc/sffm-toggle-button.php';

$side_menu_class = $inclination = '';
if ($flymenu_layout == 'side-menu') {
    $submenu_animation = $flymenu_settings['side_menu_submenu_animation'];
} elseif ($flymenu_layout == 'skew-side-menu') {
    $submenu_animation = $flymenu_settings['skew_side_menu_submenu_animation'];
    $inclination = ' sffm-skew-direction-' . $flymenu_settings['skew_side_menu_inclination'];
}

if (in_array($submenu_animation, ['flip', 'translate-x', 'zoom-out', 'zoom-in', 'translate-y'])) {
    $side_menu_class = 'sffm-submenu-animate';
}

$panel_classes = array(
    'sffm-flymenu-panel',
    'sffm-side-menu',
    $inclination,
    $custom_display_content_from == 'custom-content' ? 'sffm-submenu-' . $submenu_animation : '',
    $custom_display_content_from == 'custom-content' ? $side_menu_class : '',
    $custom_display_content_from == 'custom-content' ? 'sffm-menu-' . $menu_animation : '',
    $custom_display_content_from == 'custom-content' ? 'sffm-hover-' . $menu_hover_animation : ''
);
?>
<div id="sffm-flymenu-panel-<?php echo esc_attr($menuid); ?>" class="<?php esc_attr_e(implode(' ', array_filter($panel_classes))); ?>" <?php echo $panel_width_css; ?>>
    <?php if ($close_button_position != 'none') { ?>
        <a class="sffm-panel-close <?php echo esc_attr('sffm-pos-' . $close_button_position); ?>" href="#"><i class="sffm-close-icon-5"></i></a>
        <?php
    }
    if ($panel_background_type == 'video' && !empty($panel_video_url)) {
        wp_enqueue_script('sffm-jquery-mb-YTPlayer');
        echo '<div class="sffm-video-bg-wrap"></div>';
        echo '<div class="sffm-video-bg-container"' . $data_property_attr . '></div>';
    }
    ?>
    <div class="sffm-flymenu-panel-scroller">
        <div class="sffm-flymenu-panel-content">
            <?php
            if ($custom_display_content_from == 'elementor-content') {
                echo '<div class="sffm-elementor-container">';
                // Check if page is Elementor page
                $templates = get_option('sffm_menu_template');
                $sffm_menu_id = isset($templates[$menuid]) ? $templates[$menuid] : null;
                $elementor = get_post_meta($sffm_menu_id, '_elementor_edit_mode', true);
                // If Elementor
                if (class_exists('Elementor\Plugin') && $elementor) {
                    echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display($sffm_menu_id);
                }
                echo '</div>';
            } else {
                include SFFM_PATH . 'public/fly-menu/inc/header.php';
                ?>
                <div class="sffm-flymenu-body <?php echo 'sffm-align-' . $body_content_alignment; ?>">
                    <?php
                    $menu_object = wp_get_nav_menu_object($menuid);
                    if (!empty($menu_object)) {
                        $menu_slug = $menu_object->slug;
                        $args = array(
                            'menu' => esc_attr($menuid),
                            'container' => 'div',
                            'container_class' => 'sffm-menu-container sffm-menu-' . esc_attr($menu_slug) . '-container',
                            'container_id' => 'sffm-menuid-' . esc_attr($menuid),
                            'menu_id' => 'sffm-menu-' . esc_attr($menu_slug),
                            'menu_class' => 'sffm-menu',
                            'echo' => true,
                            'fallback_cb' => false,
                            'walker' => new SFFM_Flymenu_Walker_Class()
                        );
                        wp_nav_menu($args);
                    }
                    ?>
                </div>
                <?php
                include SFFM_PATH . 'public/fly-menu/inc/footer.php';
            }
            ?>
        </div>
    </div>
</div>