<div class="sffm-flymenu-header sffm-align-<?php echo esc_attr($header_content_alignment) ?>">
    <?php
    if ($header_img_option != 'no_image') {
        ?>
        <div class="sffm-header-image">
            <?php
            switch ($header_img_option) {
                case 'site_logo':
                    if (function_exists('has_custom_logo') && has_custom_logo()) {
                        ?>
                        <img src="<?php echo esc_url(wp_get_attachment_url(get_theme_mod('custom_logo'))); ?>" alt="<?php echo esc_attr(get_bloginfo('title')); ?>">
                        <?php
                    }
                    break;

                case 'user_image':
                    if (is_user_logged_in()) {
                        echo get_avatar(get_current_user_id(), 150);
                    }
                    break;

                case 'custom_header_image':
                    if (isset($custom_header_image) && !empty($custom_header_image)) {
                        ?>
                        <img src="<?php echo esc_url($custom_header_image); ?>" <?php echo Super_Floating_Flying_Menu_Public::get_image_alt_by_url($custom_header_image); ?>>
                        <?php
                    }
                    break;
            }
            ?>
        </div>
        <?php
    }

    if ($header_text_option != 'no_text') {
        ?>
        <div class="sffm-header-title-tagline">
            <?php
            switch ($header_text_option) {
                case 'site_title':
                    ?>
                    <div class="sffm-header-title"><?php echo esc_html(apply_filters('sffm_translate_string', get_bloginfo('name'), 'WordPress', 'blogname')); ?></div>
                    <div class="sffm-header-tagline"><?php echo esc_html(apply_filters('sffm_translate_string', get_bloginfo('description'), 'WordPress', 'blogdescription')); ?></div>
                    <?php
                    break;

                case 'username':
                    if (is_user_logged_in()) {
                        $username = wp_get_current_user();
                        ?>
                        <div class="sffm-header-title sffm-loggedin-user"><?php echo esc_html($username->display_name); ?></div>
                        <?php
                    }
                    break;

                case 'custom_header_text':
                    if (isset($custom_header_text) || isset($custom_tagline_text)) {
                        ?>
                        <div class="sffm-header-title"><?php echo esc_html($custom_header_text); ?></div>
                        <div class="sffm-header-tagline"><?php echo esc_html($custom_tagline_text); ?></div>
                        <?php
                    }
                    break;
            }
            ?>
        </div>
        <?php
    }

    if (!empty($header_custom_content)) {
        ?>
        <div class="sffm-header-custom-content">
            <?php echo do_shortcode(wpautop(wp_kses_post($header_custom_content))); ?>
        </div>
        <?php
    }

    if ($social_icons_area == 'header' && !empty($social_icon)) {
        include SFFM_PATH . 'public/fly-menu/inc/social-icons.php';
    }

    if ($searchform_area == 'header') {
        include SFFM_PATH . 'public/fly-menu/inc/search-form.php';
    }
    ?>
</div>
<?php
