(function ($) {
    "use strict";
    $(document).ready(function () {
        $(document).on('click', '.sffm-flymenu-trigger', function () {
            var $wrap = $(this).closest('.sffm-flymenu-wrapper');
            var $panel = $wrap.find('.sffm-flymenu-panel');
            var $overlay = $wrap.find('.sffm-shape-overlays');

            /*Add/Remove sff-freeze class to HTML*/
            if ($wrap.hasClass('sffm-freeze')) {
                $('html').toggleClass('sffm-freeze');
            }

            if ($wrap.hasClass('sffm-panel-animation-enabled')) {
                var showAnimation = $wrap.data('showanimation');
                var hideAnimation = $wrap.data('hideanimation');

                if ($wrap.hasClass('sffm-panel-in-view') && hideAnimation) {
                    $panel.addClass('animate--animated ' + hideAnimation);
                    $panel.one('webkitAnimationEnd oanimationend oAnimationEnd msAnimationEnd animationend', function (e) {
                        $panel.removeClass('animate--animated ' + hideAnimation);
                    });
                    $wrap.removeClass('sffm-flymenu-show sffm-panel-in-view');
                    $wrap.addClass('sffm-flymenu-hide');
                } else if (!$wrap.hasClass('sffm-panel-in-view') && showAnimation) {
                    $panel.addClass('animate--animated ' + showAnimation);
                    $panel.one('webkitAnimationEnd oanimationend oAnimationEnd msAnimationEnd animationend', function (e) {
                        $panel.removeClass('animate--animated ' + showAnimation);
                    });
                    $wrap.addClass('sffm-flymenu-show sffm-panel-in-view');
                    $wrap.removeClass('sffm-flymenu-hide');

                    /* Add animation class to trigger transitional delays*/
                    if ($wrap.hasClass('sffm-flymenu-show') && $wrap.hasClass('sffm-custom-content')) {
                        $wrap.addClass('sffm-flymenu-animating');
                        var $lastele = $wrap.find('.sffm-menu-item-link-depth-0').last();
                        $lastele.one('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend', function (e) {
                            $wrap.removeClass('sffm-flymenu-animating');
                        });
                    }
                }
            } else {
                $wrap.toggleClass('sffm-flymenu-show');
                $wrap.toggleClass('sffm-flymenu-hide');

                /* Add animation class to trigger transitional delays*/
                if ($wrap.hasClass('sffm-flymenu-show') && $wrap.hasClass('sffm-custom-content')) {
                    $wrap.addClass('sffm-flymenu-animating');
                    var $lastele = $wrap.find('.sffm-menu-item-link-depth-0').last();
                    $lastele.one('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend', function (e) {
                        $wrap.removeClass('sffm-flymenu-animating');
                    });
                }
            }

            /* Close all sub menu when close button is clicked in Animate Sub Menu */
            if ($wrap.hasClass('sffm-flymenu-hide')) {
                $wrap.find('.sffm-submenu-container.sffm-submenu-open').prev('.sffm-menu-item-link-has-children.sffm-menu-item-link-open').removeClass('sffm-menu-item-link-open');
                $wrap.find('.sffm-submenu-container.sffm-submenu-open').removeClass('sffm-submenu-open');
            }

            /* Reset Menu on clicking close button */
            if ($panel.hasClass('sffm-submenu-animate') && $wrap.hasClass('sffm-flymenu-hide')) {
                $panel.find('ul.sffm-menu').removeClass('sffm-subview');
                $panel.find('li:not(.sffm-back)').removeClass('sffm-subview sffm-subviewopen');
            }

            if ($panel.hasClass('sffm-submenu-menu-drop') && $wrap.hasClass('sffm-flymenu-hide')) {
                $panel.find('.sffm-menu-item-link').removeClass('sffm-menu-item-link-open');
                $panel.find('.sffm-submenu').removeClass('sffm-submenu-open').hide();
            }

            /* Add animation class to trigger animation */
            var $triggerbutton = $wrap.find('.sffm-toggle-button');
            $triggerbutton.addClass('sffm-toggle-animating');
            $triggerbutton.one('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend', function (e) {
                $triggerbutton.removeClass('sffm-toggle-animating');
            });

            /* play/pause video on panel open/close */
            if ($('.sffm-video-bg-wrap').length > 0) {
                if ($wrap.hasClass('sffm-flymenu-show')) {
                    sffmPlayer.YTPPlay();
                } else {
                    sffmPlayer.YTPPause();
                }
            }

            /* Overlay trigger for fullwidth layout */
            if ($overlay.hasClass('sffm-shape-overlays-1')) {
                if (overlay1.isAnimating) {
                    return false;
                }
                overlay1.toggle();
            } else if ($overlay.hasClass('sffm-shape-overlays-2')) {
                if (overlay2.isAnimating) {
                    return false;
                }
                overlay2.toggle();
            } else if ($overlay.hasClass('sffm-shape-overlays-3')) {
                if (overlay3.isAnimating) {
                    return false;
                }
                overlay3.toggle();
            } else if ($overlay.hasClass('sffm-shape-overlays-4')) {
                if (overlay4.isAnimating) {
                    return false;
                }
                overlay4.toggle();
            } else if ($overlay.hasClass('sffm-shape-overlays-5')) {
                if (overlay5.isAnimating) {
                    return false;
                }
                overlay5.toggle();
            } else if ($overlay.hasClass('sffm-shape-overlays-6')) {
                if (overlay6.isAnimating) {
                    return false;
                }
                overlay6.toggle();
            }
            return false;
        });

        const overlay1 = new ShapeOverlays1($('.sffm-shape-overlays-1')[0]);
        const overlay2 = new ShapeOverlays2($('.sffm-shape-overlays-2')[0]);
        const overlay3 = new ShapeOverlays3($('.sffm-shape-overlays-3')[0]);
        const overlay4 = new ShapeOverlays4($('.sffm-shape-overlays-4')[0]);
        const overlay5 = new ShapeOverlays5($('.sffm-shape-overlays-5')[0]);
        const overlay6 = new ShapeOverlays6($('.sffm-shape-overlays-6')[0]);

        /* close panel on clicking outside of the menu panel */
        $(document).on('click', function (e) {
            if ($('.sffm-flymenu-wrapper').hasClass('sffm-flymenu-show') && $('.sffm-flymenu-wrapper').hasClass('sffm-click-outside-on')) {
                if ($(e.target).closest('.sffm-flymenu-show.sffm-click-outside-on').length === 0) {
                    $('.sffm-flymenu-show.sffm-click-outside-on .sffm-flymenu-trigger').trigger('click');
                    return false;
                }
            }
        });

        $('.sffm-panel-close').click(function () {
            var $wrap = $(this).closest('.sffm-flymenu-wrapper');
            $wrap.find('.sffm-flymenu-trigger').trigger('click');
            return false;
        });

        $('.sffm-inline-menu-trigger').click(function () {
            var id = $(this).closest('li').attr('id');
            id = id.replace(/\D/g, '');
            $('.sffm-flymenu-wrapper-' + id).find('.sffm-flymenu-trigger').trigger('click');
            return false;
        });

        $('body').find('[class^="sffm-open-menu-"], [class*=" sffm-open-menu-"]').on('click', function (e) {

            var classes = $(this).attr('class').split(' ');
            var classitem;
            $.each(classes, function (index, item) {
                if (item.indexOf('sffm-open-menu-') >= 0) {
                    classitem = item;
                    return false;
                }
            });

            var $wrap = $('.sffm-flymenu-wrapper-' + classitem.replace(/^\D+/g, ''));

            if ($wrap.length > 0) {
                $wrap.find('.sffm-flymenu-trigger').trigger('click');
            }
            return false;
        });

        $('.sffm-click-outside-on .sffm-overlay').click(function () {
            var $wrap = $(this).closest('.sffm-flymenu-wrapper');
            $wrap.find('.sffm-flymenu-trigger').trigger('click');
            return false;
        });

        $(document).on('mouseenter', '.sffm-layout-icon-menu.sffm-flymenu-hide .sffm-open-panel-on-hover.sffm-flymenu-panel', function () {
            var $wrap = $(this).closest('.sffm-flymenu-wrapper');
            $wrap.find('.sffm-flymenu-trigger').trigger('click');
        });

        $(document).on('mouseleave', '.sffm-layout-icon-menu.sffm-flymenu-show .sffm-open-panel-on-hover.sffm-flymenu-panel', function () {
            var $wrap = $(this).closest('.sffm-flymenu-wrapper');
            $wrap.find('.sffm-flymenu-trigger').trigger('click');
        });

        jQuery.each($(document).find('.sffm-flymenu-wrapper'), function () {
            if ($(this).hasClass('sffm-parent-menu-click-enable')) {
                /* dropdown menu style */
                $(this).on('click', '.sffm-submenu-menu-drop .sffm-menu-item-link-has-children .sffm-submenu-toggle', function (e) {
                    e.preventDefault();
                    var that = $(this).closest('.sffm-menu-item-link-has-children');
                    if (that.hasClass('sffm-menu-item-link-open')) {
                        that.removeClass('sffm-menu-item-link-open');
                        that.siblings('.sffm-submenu').slideUp().removeClass('sffm-submenu-open');
                        that.siblings('.sffm-submenu-container').removeClass('sffm-submenu-open');
                    } else {
                        that.closest('.sffm-menu').find('.sffm-menu-item-panel-container').prev('.sffm-menu-item-link-has-children').removeClass('sffm-menu-item-link-open');
                        that.closest('.sffm-menu').find('.sffm-submenu-container').removeClass('sffm-submenu-open');
                        that.addClass('sffm-menu-item-link-open');
                        that.siblings('.sffm-submenu').slideDown().addClass('sffm-submenu-open');
                        that.siblings('.sffm-submenu-container').addClass('sffm-submenu-open');
                    }
                });
                /* sidepush menu style */
                $(this).on('click', '.sffm-submenu-menu-push .sffm-menu-item-link-has-children .sffm-submenu-toggle', function (e) {
                    e.preventDefault();
                    var that = $(this).closest('.sffm-menu-item-link-has-children');
                    if (that.hasClass('sffm-menu-item-link-depth-0') && !that.hasClass('sffm-menu-item-link-open')) {
                        that.closest('.sffm-menu').find('.sffm-menu-item-link-has-children').removeClass('sffm-menu-item-link-open');
                        that.closest('.sffm-menu').find('.sffm-submenu-container').removeClass('sffm-submenu-open');
                    }
                    if (!that.hasClass('sffm-menu-item-link-open')) {
                        that.closest('.sffm-submenu').find('.sffm-menu-item-link-has-children').removeClass('sffm-menu-item-link-open');
                        that.closest('.sffm-submenu').find('.sffm-submenu-container').removeClass('sffm-submenu-open');
                        that.addClass('sffm-menu-item-link-open');
                        that.siblings('.sffm-submenu-container').addClass('sffm-submenu-open');
                    }
                    return false;
                });
            } else {
                /* dropdown menu style */
                $(this).on('click', '.sffm-submenu-menu-drop .sffm-menu-item-link-has-children', function () {
                    if ($(this).hasClass('sffm-menu-item-link-open')) {
                        $(this).removeClass('sffm-menu-item-link-open');
                        $(this).siblings('.sffm-submenu').slideUp().removeClass('sffm-submenu-open');
                        $(this).siblings('.sffm-submenu-container').removeClass('sffm-submenu-open');
                    } else {
                        $(this).closest('.sffm-menu').find('.sffm-menu-item-panel-container').prev('.sffm-menu-item-link-has-children').removeClass('sffm-menu-item-link-open');
                        $(this).closest('.sffm-menu').find('.sffm-submenu-container').removeClass('sffm-submenu-open');
                        $(this).addClass('sffm-menu-item-link-open');
                        $(this).siblings('.sffm-submenu').slideDown().addClass('sffm-submenu-open');
                        $(this).siblings('.sffm-submenu-container').addClass('sffm-submenu-open');
                    }
                    return false;
                });
                /* sidepush menu style */
                $(document).on('click', '.sffm-submenu-menu-push .sffm-menu-item-link-has-children', function () {
                    if ($(this).hasClass('sffm-menu-item-link-depth-0') && !$(this).hasClass('sffm-menu-item-link-open')) {
                        $(this).closest('.sffm-menu').find('.sffm-menu-item-link-has-children').removeClass('sffm-menu-item-link-open');
                        $(this).closest('.sffm-menu').find('.sffm-submenu-container').removeClass('sffm-submenu-open');
                    }
                    if (!$(this).hasClass('sffm-menu-item-link-open')) {
                        $(this).closest('.sffm-submenu').find('.sffm-menu-item-link-has-children').removeClass('sffm-menu-item-link-open');
                        $(this).closest('.sffm-submenu').find('.sffm-submenu-container').removeClass('sffm-submenu-open');
                        $(this).addClass('sffm-menu-item-link-open');
                        $(this).siblings('.sffm-submenu-container').addClass('sffm-submenu-open');
                    }
                    return false;
                });
            }
        });

        $(document).on('click', '.sffm-submenu-back a', function () {
            $(this).closest('.sffm-submenu-container').removeClass('sffm-submenu-open');
            $(this).closest('.sffm-submenu-container').siblings('.sffm-menu-item-link ').removeClass('sffm-menu-item-link-open');
            return false;
        });

        /* zoom & slide style */
        $('.sffm-custom-content .sffm-submenu-flip .sffm-menu-container').sffmmenu({
            animationClasses: {classin: 'sffm-animate-in-1', classout: 'sffm-animate-out-1'}
        });

        $('.sffm-custom-content .sffm-submenu-translate-x .sffm-menu-container').sffmmenu({
            animationClasses: {classin: 'sffm-animate-in-2', classout: 'sffm-animate-out-2'}
        });

        $('.sffm-custom-content .sffm-submenu-zoom-out .sffm-menu-container').sffmmenu({
            animationClasses: {classin: 'sffm-animate-in-3', classout: 'sffm-animate-out-3'}
        });

        $('.sffm-custom-content .sffm-submenu-zoom-in .sffm-menu-container').sffmmenu({
            animationClasses: {classin: 'sffm-animate-in-4', classout: 'sffm-animate-out-4'}
        });

        $('.sffm-custom-content .sffm-submenu-translate-y .sffm-menu-container').sffmmenu({
            animationClasses: {classin: 'sffm-animate-in-5', classout: 'sffm-animate-out-5'}
        });

        /* initiate YTP player on panel */
        if ($(".sffm-video-bg-container").length > 0) {
            var sffmPlayer = $(".sffm-video-bg-container").YTPlayer();
        }

        if ($('body').hasClass('admin-bar')) {
            var adminBarHeight = 32;
        } else {
            var adminBarHeight = 0;
        }

        /* One page nav */
        var sections = [];
        $('.sffm-nav-menu a.sffm-scroll-sectionid').each(function () {
            var sectionId = $(this).attr('data-sectionid');
            sections.push(sectionId);
        });

        $(window).on('scroll', function () {
            if (sections) {
                var cur_pos = $(window).scrollTop();
                sections.forEach(function (item, index) {
                    var $el = $('#' + item);
                    if ($el.length > 0) {
                        var offset = $('.sffm-nav-menu').attr('data-offset');
                        offset = offset ? parseInt(offset) : 0;
                        var top = $el.offset().top - offset - adminBarHeight - 2,
                            bottom = top + $el.outerHeight();

                        if (cur_pos > top && cur_pos < bottom) {
                            $('.sffm-nav-menu').find('.sffm-scroll-nav-tab').removeClass('sffm-scrollsection-active');
                            $('.sffm-nav-menu').find('a[data-sectionid="' + item + '"]').addClass('sffm-scrollsection-active');
                        } else {
                            $('.sffm-nav-menu').find('a[data-sectionid="' + item + '"]').removeClass('sffm-scrollsection-active');
                        }
                    }
                });
            }
        });

        $('.sffm-scroll-sectionid').on('click', function () {
            var sectionId = $(this).attr('data-sectionid');
            var $id = $("#" + sectionId);
            var offset = $(this).closest('ul').attr('data-offset');
            offset = offset ? parseInt(offset) : 0;
            if ($id.length > 0) {
                $('html, body').animate({
                    scrollTop: $id.offset().top - offset - adminBarHeight
                }, 500);
            }
            return false;
        });

        $('.sffm-floatmenu-template-14.sffm-animation-10 ul.sffm-nav-menu li a, .sffm-floatmenu-template-14.sffm-animation-11 ul.sffm-nav-menu li a').each(function () {
            var width = $(this).find('.sffm-tooltip').width();
            $(this).css({
                '--sffm-span-width': 40 + width + 'px'
            });
        });

        /* ++++++++++++++++++ Floating Menu ++++++++++++++++++ */

        $('.sffm-floatmenu-template-13, .sffm-floatmenu-template-15').find('.sffm-menu').closest('.sffm-floatmenu-inner-wrap').draggable({
            axis: "xy",
            containment: 'body',
            cursor: 'crosshair'
        });

        $(document).on('click', '.sffm-floatmenu-wrapper.sffm-open-on-click .sffm-floatmenu-trigger', function () {
            var $wrap = $(this).parents('.sffm-floatmenu');
            $wrap.toggleClass('sffm-floatmenu-show');
            $wrap.toggleClass('sffm-floatmenu-hide');

            /* Add animation class to trigger animation */
            var $triggerbutton = $wrap.find('.sffm-toggle-button');
            $triggerbutton.addClass('sffm-toggle-animating');
            $triggerbutton.one('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend', function (e) {
                $triggerbutton.removeClass('sffm-toggle-animating');
            });
            return;
        });

        $(document).on('mouseenter', '.sffm-floatmenu-wrapper.sffm-open-on-hover .sffm-floatmenu-trigger, .sffm-floatmenu-wrapper.sffm-open-on-hover .sffm-menu', function () {
            var $wrap = $(this).parents('.sffm-floatmenu');
            $wrap.addClass('sffm-floatmenu-show');
            $wrap.removeClass('sffm-floatmenu-hide');
            /* Add animation class to trigger animation */
            var $triggerbutton = $wrap.find('.sffm-toggle-button');
            $triggerbutton.addClass('sffm-toggle-animating');
            $triggerbutton.one('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend', function (e) {
                $triggerbutton.removeClass('sffm-toggle-animating');
            });
            return;
        });

        $(document).on('mouseleave', '.sffm-floatmenu-wrapper.sffm-open-on-hover', function () {
            var $wrap = $(this).children('.sffm-floatmenu');
            $wrap.addClass('sffm-floatmenu-hide');
            $wrap.removeClass('sffm-floatmenu-show');
            /* Add animation class to trigger animation */
            var $triggerbutton = $wrap.find('.sffm-toggle-button');
            $triggerbutton.addClass('sffm-toggle-animating');
            $triggerbutton.one('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend', function (e) {
                $triggerbutton.removeClass('sffm-toggle-animating');
            });
            return;
        });

        createMenu($('.sffm-floatmenu-template-11'));
        createMenu($('.sffm-floatmenu-template-12'));
        createMenu($('.sffm-floatmenu-template-13'));

        function createMenu(menu, opts) {
            $(menu).each(function () {
                var elem = $(this).find('.sffm-menu').children('li');
                var l = elem.length;
                var opts = {
                    startAng: $(this).find('.sffm-floatmenu').data('startang'), //degree
                    range: $(this).find('.sffm-floatmenu').data('range'), //degree
                    radius: $(this).find('.sffm-floatmenu').data('radius'), //pixel
                }

                if ($(this).hasClass('sffm-right-side')) {
                    var a = 1;
                } else {
                    var a = 1;
                }

                var n = ((opts.range == 360) ? l : l - 1);
                var interval = opts.range / n;
                var halflength = elem.length / 2;

                for (var i = 0, l = elem.length; i < l; i++) {
                    var rotang = (interval * i + opts.startAng) * a;

                    var ang = (rotang * Math.PI / 180);

                    elem[i].style.left = Math.round(Math.cos(ang) * opts.radius) + "px";
                    elem[i].style.top = Math.round(Math.sin(ang) * opts.radius) + "px";

                    if (i > halflength) {
                        elem[i].classList.add('sffm-inverse');
                    }

                    elem[i].lastElementChild.style.transform = 'rotate(' + rotang + 'deg) translate(calc( 20px + var(--sffm-buttton-size, 50px)/2 ), -50%)';
                }
            });
        }

        $('.sffm-floatmenu-template-7 ul.sffm-menu li').hover(function () {
            var width = $(this).find('.sffm-tooltip').width();
            $(this).css({
                '--sffm-span-width': width + 'px'
            });
        });

        /* scrollbar 
         $('.sffm-scrollbar-on .sffm-flymenu-panel-scroller , .sffm-scrollbar-on .sffm-submenu-panel-scroller').mCustomScrollbar({
         theme: 'sffm-scrollbar-theme',
         scrollbarPosition: 'outside'
         })*/

        /* create necessary wrap for flymenu */
        //$("body").addClass('sffm-flymenu-hide').wrapInner('<div class="sffm-page-wrap" />');
        //$('.sffm-flymenu-wrapper').insertBefore('.sffm-page-wrap');
    });
})(jQuery);