<?php

/*
 * Plugin Name:       Super Floating and Flying Menu
 * Plugin URI:        https://demo.hashthemes.com/super-floating-and-flying-menu/
 * Description:       Adds floating, side panel, popup and navigation icon menus.
 * Version:           2.3.0
 * Author:            HashThemes
 * Author URI:        https://hashthemes.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       super-floating-flying-menu
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

define('SFFM_VERSION', '2.3.0');
define('SFFM_FILE', __FILE__);
define('SFFM_PLUGIN_BASENAME', plugin_basename(SFFM_FILE));
define('SFFM_PATH', plugin_dir_path(SFFM_FILE));
define('SFFM_URL', plugins_url('/', SFFM_FILE));
define('SFFM_PLUGIN_ID', '30485289');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-super-floating-flying-menu-activator.php
 */
function activate_super_floating_flying_menu() {
    require_once plugin_dir_path(__FILE__) . 'includes/class-super-floating-flying-menu-activator.php';
    Super_Floating_Flying_Menu_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-super-floating-flying-menu-deactivator.php
 */
function deactivate_super_floating_flying_menu() {
    require_once plugin_dir_path(__FILE__) . 'includes/class-super-floating-flying-menu-deactivator.php';
    Super_Floating_Flying_Menu_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_super_floating_flying_menu');
register_deactivation_hook(__FILE__, 'deactivate_super_floating_flying_menu');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-super-floating-flying-menu.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_super_floating_flying_menu() {

    $plugin = new Super_Floating_Flying_Menu();
    $plugin->run();
}

run_super_floating_flying_menu();